/* Elex Hangul to KS Hangul Converter 
 *  ( ܼ linear search ڵ带 ˾Ƴ  ϴ.)
 *  
 *  Author : Yunju Baek (yunju@camars.kaist.ac.kr)
 */

int htbl[][4]= {
 14,   34,    0,   0xb0a1,   /*    */
 14,   35,    0,   0xb0bc,   /*    */
 14,   36,    0,   0xb1e2,   /*    */
 14,   41,    0,   0xb0c5,   /*    */
 14,   42,    0,   0xb0dc,   /*    */
 15,   34,    0,   0xb1ee,   /*    */
 15,   35,    0,   0xb2a5,   /*    */
 15,   36,    0,   0xb3a2,   /*    */
 15,   44,    0,   0xb2a8,   /*    */
 15,   45,    0,   0xb2b8,   /*    */
 16,   34,    0,   0xb3aa,   /*    */
 16,   35,    0,   0xb3c4,   /*    */
 16,   36,    0,   0xb4cf,   /*    */
 17,   34,    0,   0xb4d9,   /*    */
 17,   35,    0,   0xb4f4,   /*    */
 17,   36,    0,   0xb5f0,   /*    */
 18,   34,    0,   0xb5fb,   /*    */
 18,   36,    0,   0xb6ec,   /*    */
 19,   34,    0,   0xb6f3,   /*    */
 19,   35,    0,   0xb7aa,   /*    */
 19,   36,    0,   0xb8ae,   /*    */
 20,   34,    0,   0xb8b6,   /*    */
 20,   35,    0,   0xb8cf,   /*    */
 20,   36,    0,   0xb9cc,   /*    */
 20,   41,    0,   0xb8d3,   /*    */
 20,   42,    0,   0xb8e7,   /*    */
 21,   34,    0,   0xb9d9,   /*    */
 21,   35,    0,   0xb9f2,   /*    */
 21,   36,    0,   0xbaf1,   /*    */
 21,   41,    0,   0xb9f6,   /*    */
 21,   42,    0,   0xbaad,   /*    */
 22,   34,    0,   0xbafc,   /*    */
 22,   35,    0,   0xbbb2,   /*    */
 22,   36,    0,   0xbbdf,   /*    */
 22,   44,    0,   0xbbb5,   /*    */
 22,   45,    0,   0xbbc0,   /*    */
 23,   34,    0,   0xbbe7,   /*    */
 23,   35,    0,   0xbbfe,   /*    */
 23,   36,    0,   0xbdc3,   /*    */
 23,   41,    0,   0xbcad,   /*    */
 23,   42,    0,   0xbcc5,   /*    */
 24,   34,    0,   0xbdce,   /*    */
 24,   36,    0,   0xbebe,   /*    */
 24,   44,    0,   0xbde1,   /*    */
 25,   34,    0,   0xbec6,   /*    */
 25,   35,    0,   0xbedf,   /*    */
 25,   36,    0,   0xc0cc,   /*    */
 25,   41,    0,   0xbeee,   /*    */
 25,   42,    0,   0xbfa9,   /*    */
 26,   34,    0,   0xc0da,   /*    */
 26,   35,    0,   0xc0f0,   /*    */
 26,   36,    0,   0xc1f6,   /*    */
 26,   41,    0,   0xc0fa,   /*    */
 26,   42,    0,   0xc1ae,   /*    */
 27,   34,    0,   0xc2a5,   /*  ¥  */
 27,   35,    0,   0xc2b9,   /*  ¹  */
 27,   36,    0,   0xc2ee,   /*    */
 27,   45,    0,   0xc2c7,   /*    */
 27,   46,    0,   0xc2bc,   /*  ¼  */
 28,   34,    0,   0xc2f7,   /*    */
 28,   35,    0,   0xc3ad,   /*  í  */
 28,   36,    0,   0xc4a1,   /*  ġ  */
 28,   41,    0,   0xc3b3,   /*  ó  */
 28,   47,    0,   0xc3c4,   /*    */
 29,   34,    0,   0xc4ab,   /*  ī  */
 29,   35,    0,   0xc4bc,   /*  ļ  */
 29,   36,    0,   0xc5b0,   /*  Ű  */
 29,   41,    0,   0xc4bf,   /*  Ŀ  */
 29,   42,    0,   0xc4d1,   /*    */
 30,   34,    0,   0xc5b8,   /*  Ÿ  */
 30,   35,    0,   0xc5cb,   /*    */
 30,   36,    0,   0xc6bc,   /*  Ƽ  */
 31,   34,    0,   0xc6c4,   /*    */
 31,   35,    0,   0xc6d9,   /*    */
 31,   36,    0,   0xc7c7,   /*    */
 33,   34,    0,   0xc7cf,   /*    */
 33,   35,    0,   0xc7e1,   /*    */
 33,   36,    0,   0xc8f7,   /*    */
 33,   46,    0,   0xc7e3,   /*    */
 33,   47,    0,   0xc7f4,   /*    */
 37,   41,    0,   0xb4f5,   /*    */
 37,   42,    0,   0xb5ae,   /*    */
 38,   41,    0,   0xb7af,   /*    */
 38,   42,    0,   0xb7c1,   /*    */
 39,   41,    0,   0xc5cd,   /*    */
 39,   42,    0,   0xc5df,   /*    */
 40,   41,    0,   0xc6db,   /*    */
 40,   42,    0,   0xc6ec,   /*    */
 43,   44,    0,   0xb6b0,   /*    */
 43,   45,    0,   0xb6c5,   /*    */
 48,    0,    0,   0xb3ca,   /*    */
 49,    0,    0,   0xb3e0,   /*    */
 50,   64,    0,   0xb0b3,   /*    */
 50,   65,    0,   0xb0c2,   /*    */
 50,   76,    0,   0xb0d4,   /*    */
 50,   77,    0,   0xb0e8,   /*    */
 51,   64,    0,   0xb3bb,   /*    */
 52,   64,    0,   0xb4eb,   /*    */
 53,   64,    0,   0xb7a1,   /*    */
 54,   64,    0,   0xb8c5,   /*    */
 54,   76,    0,   0xb8de,   /*    */
 54,   77,    0,   0xb8ef,   /*    */
 55,   64,    0,   0xb9e8,   /*    */
 55,   76,    0,   0xbaa3,   /*    */
 55,   77,    0,   0xbab6,   /*    */
 56,   64,    0,   0xbbf5,   /*    */
 56,   65,    0,   0xbca8,   /*    */
 56,   76,    0,   0xbcbc,   /*    */
 56,   77,    0,   0xbcce,   /*    */
 57,   64,    0,   0xbed6,   /*    */
 57,   65,    0,   0xbeea,   /*    */
 57,   76,    0,   0xbfa1,   /*    */
 57,   77,    0,   0xbfb9,   /*    */
 58,   64,    0,   0xc0e7,   /*    */
 58,   65,    0,   0xc0f7,   /*    */
 58,   76,    0,   0xc1a6,   /*    */
 58,   77,    0,   0xc1b5,   /*    */
 59,   64,    0,   0xc3a4,   /*  ä  */
 59,   81,    0,   0xc3bc,   /*  ü  */
 59,   82,    0,   0xc3c7,   /*    */
 60,   64,    0,   0xc4b3,   /*  ĳ  */
 60,   76,    0,   0xc4c9,   /*    */
 60,   77,    0,   0xc4d9,   /*    */
 61,   64,    0,   0xc5c2,   /*    */
 62,   64,    0,   0xc6d0,   /*    */
 63,   64,    0,   0xc7d8,   /*    */
 63,   81,    0,   0xc7ec,   /*    */
 63,   82,    0,   0xc7fd,   /*    */
 66,   71,    0,   0xb1fa,   /*    */
 66,   79,    0,   0xb2b2,   /*    */
 66,   80,    0,   0xb2be,   /*    */
 67,   71,    0,   0xb6a7,   /*    */
 68,   71,    0,   0xbba9,   /*    */
 68,   79,    0,   0xbbbe,   /*    */
 69,   71,    0,   0xbdd8,   /*    */
 69,   79,    0,   0xbdea,   /*    */
 70,   71,    0,   0xc2b0,   /*  °  */
 70,   79,    0,   0xc2c5,   /*    */
 72,   76,    0,   0xb5a5,   /*    */
 72,   77,    0,   0xb5b3,   /*    */
 73,   76,    0,   0xb7b9,   /*    */
 73,   77,    0,   0xb7ca,   /*    */
 74,   76,    0,   0xc5d7,   /*    */
 74,   77,    0,   0xc5e2,   /*    */
 75,   76,    0,   0xc6e4,   /*    */
 75,   77,    0,   0xc6f3,   /*    */
 78,   79,    0,   0xb6bc,   /*    */
 83,    0,    0,   0xb3d7,   /*    */
 84,    0,    0,   0xb3e9,   /*    */
 85,   87,    0,   0xb0ed,   /*    */
 85,   88,    0,   0xb1b3,   /*    */
 85,   91,    0,   0xb1d7,   /*    */
 86,   87,    0,   0xc4da,   /*    */
 86,   88,    0,   0xc4ec,   /*    */
 86,   91,    0,   0xc5a9,   /*  ũ  */
 89,   91,    0,   0xb2f4,   /*    */
 89,  102,    0,   0xb2bf,   /*    */
 89,  103,    0,   0xb2d8,   /*    */
 90,   91,    0,   0xb4c0,   /*    */
 90,  102,    0,   0xb3eb,   /*    */
 90,  103,    0,   0xb4a2,   /*    */
 92,  102,    0,   0xb5b5,   /*    */
 92,  103,    0,   0xb5cd,   /*    */
 92,  104,    0,   0xb5e5,   /*    */
 93,  102,    0,   0xb6c7,   /*    */
 93,  104,    0,   0xb6df,   /*    */
 94,  102,    0,   0xb8f0,   /*    */
 94,  103,    0,   0xb9a6,   /*    */
 94,  104,    0,   0xb9c7,   /*    */
 95,  102,    0,   0xbab8,   /*    */
 95,  103,    0,   0xbacc,   /*    */
 95,  104,    0,   0xbaea,   /*    */
 96,  102,    0,   0xbbc7,   /*    */
 96,  103,    0,   0xbbcf,   /*    */
 96,  104,    0,   0xbbda,   /*    */
 97,  102,    0,   0xbcd2,   /*    */
 97,  103,    0,   0xbcee,   /*    */
 97,  104,    0,   0xbdba,   /*    */
 98,  102,    0,   0xbdee,   /*    */
 98,  103,    0,   0xbea4,   /*    */
 98,  104,    0,   0xbeb2,   /*    */
 99,  102,    0,   0xbfc0,   /*    */
 99,  103,    0,   0xbfe4,   /*    */
 99,  104,    0,   0xc0b8,   /*    */
100,  102,    0,   0xc1b6,   /*    */
100,  103,    0,   0xc1d2,   /*    */
100,  104,    0,   0xc1ee,   /*    */
101,  102,    0,   0xc2c9,   /*    */
101,  104,    0,   0xc2ea,   /*    */
105,  109,    0,   0xb7ce,   /*    */
105,  110,    0,   0xb7e1,   /*    */
105,  111,    0,   0xb8a3,   /*    */
106,  109,    0,   0xc3ca,   /*    */
106,  110,    0,   0xc3dd,   /*    */
106,  111,    0,   0xc3f7,   /*    */
107,  109,    0,   0xc5e4,   /*    */
107,  110,    0,   0xc5f4,   /*    */
107,  111,    0,   0xc6ae,   /*  Ʈ  */
108,  109,    0,   0xc6f7,   /*    */
108,  110,    0,   0xc7a5,   /*  ǥ  */
108,  111,    0,   0xc7c1,   /*    */
112,    0,    0,   0xc8a3,   /*  ȣ  */
113,    0,    0,   0xc8bf,   /*  ȿ  */
114,    0,    0,   0xc8e5,   /*    */
115,  118,    0,   0xb1b8,   /*    */
115,  119,    0,   0xb1d4,   /*    */
116,  118,    0,   0xb2d9,   /*    */
116,  119,    0,   0xb2f3,   /*    */
117,  118,    0,   0xb4a9,   /*    */
117,  119,    0,   0xb4ba,   /*    */
120,  127,    0,   0xb5ce,   /*    */
120,  128,    0,   0xb5e0,   /*    */
121,  127,    0,   0xb6d1,   /*    */
122,  127,    0,   0xb9ab,   /*    */
122,  128,    0,   0xb9c2,   /*    */
123,  127,    0,   0xbcf6,   /*    */
123,  128,    0,   0xbdb4,   /*    */
124,  127,    0,   0xc1d6,   /*    */
124,  128,    0,   0xc1ea,   /*    */
125,  127,    0,   0xc2de,   /*    */
125,  128,    0,   0xc2e9,   /*    */
126,  127,    0,   0xc4ed,   /*    */
126,  128,    0,   0xc5a5,   /*  ť  */
129,  136,    0,   0xb7e7,   /*    */
129,  137,    0,   0xb7f9,   /*    */
130,  136,    0,   0xbace,   /*    */
130,  137,    0,   0xbae4,   /*    */
131,  136,    0,   0xbbd1,   /*    */
131,  137,    0,   0xbbd8,   /*    */
132,  136,    0,   0xbfec,   /*    */
132,  137,    0,   0xc0af,   /*    */
133,  136,    0,   0xc3df,   /*    */
133,  137,    0,   0xc3f2,   /*    */
134,  136,    0,   0xc5f5,   /*    */
134,  137,    0,   0xc6a9,   /*  Ʃ  */
135,  136,    0,   0xc7aa,   /*  Ǫ  */
135,  137,    0,   0xc7bb,   /*  ǻ  */
138,    0,    0,   0xc8c4,   /*    */
139,    0,    0,   0xc8de,   /*    */
140,   36,    0,   0xb1ab,   /*    */
140,  158,    0,   0xb0fa,   /*    */
141,   36,    0,   0xb2d2,   /*    */
141,  158,    0,   0xb2ca,   /*    */
142,   36,    0,   0xb3fa,   /*    */
142,  158,    0,   0xb3f6,   /*    */
143,   36,    0,   0xb5c7,   /*    */
143,  158,    0,   0xb5c2,   /*    */
144,   36,    0,   0xb6cf,   /*    */
144,  158,    0,   0xb6cc,   /*    */
145,   36,    0,   0xb7da,   /*    */
145,  158,    0,   0xb7d6,   /*    */
146,   36,    0,   0xb8fe,   /*    */
146,  158,    0,   0xb8fa,   /*    */
147,   36,    0,   0xbac6,   /*    */
147,  158,    0,   0xbac1,   /*    */
148,   36,    0,   0xbce8,   /*    */
148,  158,    0,   0xbcdd,   /*    */
149,   36,    0,   0xbdfd,   /*    */
149,  158,    0,   0xbdf7,   /*    */
150,   36,    0,   0xbfdc,   /*    */
150,  158,    0,   0xbfcd,   /*    */
151,   36,    0,   0xc1cb,   /*    */
151,  158,    0,   0xc1c2,   /*    */
152,   36,    0,   0xc2d8,   /*    */
152,  158,    0,   0xc2d2,   /*    */
153,   36,    0,   0xc3d6,   /*    */
153,  158,    0,   0xc3d2,   /*    */
154,   36,    0,   0xc4ea,   /*    */
154,  158,    0,   0xc4e2,   /*    */
155,   36,    0,   0xc5f0,   /*    */
155,  158,    0,   0xc5ed,   /*    */
156,   36,    0,   0xc7a3,   /*  ǣ  */
156,  158,    0,   0xc7a1,   /*  ǡ  */
157,   36,    0,   0xc8b8,   /*  ȸ  */
157,  158,    0,   0xc8ad,   /*  ȭ  */
159,    0,    0,   0xbbce,   /*    */
160,    0,    0,   0xb1e1,   /*    */
161,    0,    0,   0xb4cc,   /*    */
162,    0,    0,   0xb5ef,   /*    */
163,    0,    0,   0xb6e7,   /*    */
164,    0,    0,   0xbeba,   /*    */
165,    0,    0,   0xc0c7,   /*    */
166,    0,    0,   0xc6b7,   /*  Ʒ  */
167,    0,    0,   0xc8f1,   /*    */
168,   36,    0,   0xb1cd,   /*    */
168,  175,    0,   0xb1c5,   /*    */
169,   36,    0,   0xb2ee,   /*    */
169,  175,    0,   0xb2e3,   /*    */
170,   36,    0,   0xb4b5,   /*    */
170,  175,    0,   0xb4b2,   /*    */
171,   36,    0,   0xb5da,   /*    */
171,  175,    0,   0xb5d6,   /*    */
172,   36,    0,   0xb6d9,   /*    */
173,   36,    0,   0xbdac,   /*    */
173,  175,    0,   0xbda4,   /*    */
174,   36,    0,   0xc4fb,   /*    */
174,  175,    0,   0xc4f5,   /*    */
176,   36,    0,   0xb7f2,   /*    */
176,  187,    0,   0xb7ef,   /*    */
177,   36,    0,   0xb9bf,   /*    */
177,  187,    0,   0xb9b9,   /*    */
178,   36,    0,   0xbadf,   /*    */
178,  187,    0,   0xbadb,   /*    */
179,   36,    0,   0xbeaf,   /*    */
179,  187,    0,   0xbeac,   /*    */
180,   36,    0,   0xc0a7,   /*    */
180,  187,    0,   0xbff6,   /*    */
181,   36,    0,   0xc1e3,   /*    */
181,  187,    0,   0xc1e0,   /*    */
182,   36,    0,   0xc2e8,   /*    */
182,  187,    0,   0xc2e5,   /*    */
183,   36,    0,   0xc3eb,   /*    */
183,  187,    0,   0xc3e7,   /*    */
184,   36,    0,   0xc6a2,   /*  Ƣ  */
184,  187,    0,   0xc5fd,   /*    */
185,   36,    0,   0xc7b6,   /*  Ƕ  */
185,  187,    0,   0xc7b4,   /*  Ǵ  */
186,   36,    0,   0xc8d6,   /*    */
186,  187,    0,   0xc8cc,   /*    */
188,  190,  228,   0xb0ee,   /*    */
188,  190,  231,   0xb0ef,   /*    */
188,  190,  233,   0xb0f0,   /*    */
188,  190,  234,   0xb0f1,   /*    */
188,  190,  236,   0xb0f2,   /*    */
188,  190,  237,   0xb0f3,   /*    */
188,  190,  238,   0xb0f4,   /*    */
188,  190,  239,   0xb0f5,   /*    */
188,  190,  240,   0xb0f6,   /*    */
188,  190,  241,   0xb0f7,   /*    */
188,  190,  242,   0xb0f8,   /*    */
188,  190,  243,   0xb0f9,   /*    */
188,  191,  231,   0xb1b4,   /*    */
188,  191,  234,   0xb1b5,   /*    */
188,  191,  240,   0xb1b6,   /*    */
188,  191,  241,   0xb1b7,   /*    */
188,  194,  228,   0xb1b9,   /*    */
188,  194,  233,   0xb1bb,   /*    */
188,  194,  234,   0xb1bc,   /*    */
188,  194,  235,   0xb1bd,   /*    */
188,  194,  236,   0xb1be,   /*    */
188,  194,  238,   0xb1bf,   /*    */
188,  194,  239,   0xb1c0,   /*    */
188,  194,  240,   0xb1c1,   /*    */
188,  194,  241,   0xb1c2,   /*    */
188,  194,  242,   0xb1c3,   /*    */
188,  194,  243,   0xb1c4,   /*    */
188,  195,  234,   0xb1d6,   /*    */
188,  196,    0,   0xb1ba,   /*    */
188,  197,    0,   0xb1d5,   /*    */
188,  198,  228,   0xb1d8,   /*    */
188,  198,  231,   0xb1d9,   /*    */
188,  198,  233,   0xb1da,   /*    */
188,  198,  234,   0xb1db,   /*    */
188,  198,  235,   0xb1dc,   /*    */
188,  198,  239,   0xb1dd,   /*    */
188,  198,  240,   0xb1de,   /*    */
188,  198,  241,   0xb1df,   /*    */
188,  198,  242,   0xb1e0,   /*    */
189,  190,  228,   0xc4db,   /*    */
189,  190,  231,   0xc4dc,   /*    */
189,  190,  234,   0xc4dd,   /*    */
189,  190,  239,   0xc4de,   /*    */
189,  190,  240,   0xc4df,   /*    */
189,  190,  241,   0xc4e0,   /*    */
189,  190,  242,   0xc4e1,   /*    */
189,  194,  228,   0xc4ee,   /*    */
189,  194,  234,   0xc4f0,   /*    */
189,  194,  239,   0xc4f1,   /*    */
189,  194,  240,   0xc4f2,   /*    */
189,  194,  241,   0xc4f3,   /*    */
189,  194,  242,   0xc4f4,   /*    */
189,  195,  234,   0xc5a7,   /*  ŧ  */
189,  195,  239,   0xc5a8,   /*  Ũ  */
189,  196,    0,   0xc4ef,   /*    */
189,  197,    0,   0xc5a6,   /*  Ŧ  */
189,  198,  228,   0xc5aa,   /*  Ū  */
189,  198,  231,   0xc5ab,   /*  ū  */
189,  198,  234,   0xc5ac,   /*  Ŭ  */
189,  198,  239,   0xc5ad,   /*  ŭ  */
189,  198,  240,   0xc5ae,   /*  Ů  */
189,  198,  242,   0xc5af,   /*  ů  */
192,  198,  228,   0xb2f5,   /*    */
192,  198,  231,   0xb2f6,   /*    */
192,  198,  232,   0xb2f7,   /*    */
192,  198,  234,   0xb2f8,   /*    */
192,  198,  236,   0xb2f9,   /*    */
192,  198,  238,   0xb2fa,   /*    */
192,  198,  239,   0xb2fb,   /*    */
192,  198,  240,   0xb2fc,   /*    */
192,  198,  241,   0xb2fd,   /*    */
192,  198,  242,   0xb2fe,   /*    */
192,  198,  246,   0xb3a1,   /*    */
192,  212,  228,   0xb2c0,   /*    */
192,  212,  231,   0xb2c1,   /*    */
192,  212,  232,   0xb2c2,   /*    */
192,  212,  234,   0xb2c3,   /*    */
192,  212,  239,   0xb2c4,   /*    */
192,  212,  240,   0xb2c5,   /*    */
192,  212,  241,   0xb2c6,   /*    */
192,  212,  242,   0xb2c7,   /*    */
192,  212,  243,   0xb2c8,   /*    */
192,  212,  244,   0xb2c9,   /*    */
192,  214,  228,   0xb2da,   /*    */
192,  214,  234,   0xb2dc,   /*    */
192,  214,  238,   0xb2dd,   /*    */
192,  214,  239,   0xb2de,   /*    */
192,  214,  240,   0xb2df,   /*    */
192,  214,  241,   0xb2e0,   /*    */
192,  214,  242,   0xb2e1,   /*    */
192,  214,  243,   0xb2e2,   /*    */
192,  216,    0,   0xb2db,   /*    */
193,  198,  228,   0xb4c1,   /*    */
193,  198,  231,   0xb4c2,   /*    */
193,  198,  234,   0xb4c3,   /*    */
193,  198,  235,   0xb4c4,   /*    */
193,  198,  236,   0xb4c5,   /*    */
193,  198,  239,   0xb4c6,   /*    */
193,  198,  240,   0xb4c7,   /*    */
193,  198,  241,   0xb4c8,   /*    */
193,  198,  242,   0xb4c9,   /*    */
193,  198,  243,   0xb4ca,   /*    */
193,  198,  247,   0xb4cb,   /*    */
193,  212,  228,   0xb3ec,   /*    */
193,  212,  231,   0xb3ed,   /*    */
193,  212,  234,   0xb3ee,   /*    */
193,  212,  236,   0xb3ef,   /*    */
193,  212,  239,   0xb3f0,   /*    */
193,  212,  240,   0xb3f1,   /*    */
193,  212,  241,   0xb3f2,   /*    */
193,  212,  242,   0xb3f3,   /*    */
193,  212,  247,   0xb3f4,   /*    */
193,  212,  248,   0xb3f5,   /*    */
193,  213,  228,   0xb4a3,   /*    */
193,  213,  231,   0xb4a4,   /*    */
193,  213,  234,   0xb4a5,   /*    */
193,  213,  240,   0xb4a6,   /*    */
193,  213,  241,   0xb4a7,   /*    */
193,  213,  242,   0xb4a8,   /*    */
193,  214,  228,   0xb4aa,   /*    */
193,  214,  233,   0xb4ac,   /*    */
193,  214,  234,   0xb4ad,   /*    */
193,  214,  239,   0xb4ae,   /*    */
193,  214,  240,   0xb4af,   /*    */
193,  214,  241,   0xb4b0,   /*    */
193,  214,  242,   0xb4b1,   /*    */
193,  215,  228,   0xb4bb,   /*    */
193,  215,  234,   0xb4bc,   /*    */
193,  215,  239,   0xb4bd,   /*    */
193,  215,  240,   0xb4be,   /*    */
193,  215,  242,   0xb4bf,   /*    */
193,  216,    0,   0xb4ab,   /*    */
199,  212,  228,   0xb5b6,   /*    */
199,  212,  231,   0xb5b7,   /*    */
199,  212,  233,   0xb5b8,   /*    */
199,  212,  234,   0xb5b9,   /*    */
199,  212,  236,   0xb5ba,   /*    */
199,  212,  237,   0xb5bb,   /*    */
199,  212,  239,   0xb5bc,   /*    */
199,  212,  240,   0xb5bd,   /*    */
199,  212,  241,   0xb5be,   /*    */
199,  212,  242,   0xb5bf,   /*    */
199,  212,  244,   0xb5c0,   /*    */
199,  212,  246,   0xb5c1,   /*    */
199,  214,  228,   0xb5cf,   /*    */
199,  214,  234,   0xb5d1,   /*    */
199,  214,  239,   0xb5d2,   /*    */
199,  214,  240,   0xb5d3,   /*    */
199,  214,  241,   0xb5d4,   /*    */
199,  214,  242,   0xb5d5,   /*    */
199,  215,  234,   0xb5e2,   /*    */
199,  215,  239,   0xb5e3,   /*    */
199,  215,  242,   0xb5e4,   /*    */
199,  216,    0,   0xb5d0,   /*    */
199,  217,    0,   0xb5e1,   /*    */
199,  218,  228,   0xb5e6,   /*    */
199,  218,  231,   0xb5e7,   /*    */
199,  218,  233,   0xb5e8,   /*    */
199,  218,  234,   0xb5e9,   /*    */
199,  218,  236,   0xb5ea,   /*    */
199,  218,  239,   0xb5eb,   /*    */
199,  218,  240,   0xb5ec,   /*    */
199,  218,  241,   0xb5ed,   /*    */
199,  218,  242,   0xb5ee,   /*    */
200,  212,  228,   0xb6c8,   /*    */
200,  212,  231,   0xb6c9,   /*    */
200,  212,  234,   0xb6ca,   /*    */
200,  212,  242,   0xb6cb,   /*    */
200,  214,  228,   0xb6d2,   /*    */
200,  214,  234,   0xb6d4,   /*    */
200,  214,  238,   0xb6d5,   /*    */
200,  214,  239,   0xb6d6,   /*    */
200,  214,  242,   0xb6d7,   /*    */
200,  216,    0,   0xb6d3,   /*    */
200,  218,  228,   0xb6e0,   /*    */
200,  218,  231,   0xb6e1,   /*    */
200,  218,  233,   0xb6e2,   /*    */
200,  218,  234,   0xb6e3,   /*    */
200,  218,  239,   0xb6e4,   /*    */
200,  218,  240,   0xb6e5,   /*    */
200,  218,  241,   0xb6e6,   /*    */
201,  212,  228,   0xb7cf,   /*    */
201,  212,  231,   0xb7d0,   /*    */
201,  212,  234,   0xb7d1,   /*    */
201,  212,  239,   0xb7d2,   /*    */
201,  212,  240,   0xb7d3,   /*    */
201,  212,  241,   0xb7d4,   /*    */
201,  212,  242,   0xb7d5,   /*    */
201,  213,  231,   0xb7e2,   /*    */
201,  213,  234,   0xb7e3,   /*    */
201,  213,  240,   0xb7e4,   /*    */
201,  213,  241,   0xb7e5,   /*    */
201,  213,  242,   0xb7e6,   /*    */
201,  214,  228,   0xb7e8,   /*    */
201,  214,  234,   0xb7ea,   /*    */
201,  214,  239,   0xb7eb,   /*    */
201,  214,  240,   0xb7ec,   /*    */
201,  214,  241,   0xb7ed,   /*    */
201,  214,  242,   0xb7ee,   /*    */
201,  215,  228,   0xb7fa,   /*    */
201,  215,  234,   0xb7fc,   /*    */
201,  215,  239,   0xb7fd,   /*    */
201,  215,  240,   0xb7fe,   /*    */
201,  215,  241,   0xb8a1,   /*    */
201,  215,  242,   0xb8a2,   /*    */
201,  216,    0,   0xb7e9,   /*    */
201,  217,    0,   0xb7fb,   /*    */
201,  218,  228,   0xb8a4,   /*    */
201,  218,  231,   0xb8a5,   /*    */
201,  218,  234,   0xb8a6,   /*    */
201,  218,  239,   0xb8a7,   /*    */
201,  218,  240,   0xb8a8,   /*    */
201,  218,  241,   0xb8a9,   /*    */
201,  218,  242,   0xb8aa,   /*    */
201,  218,  243,   0xb8ab,   /*    */
201,  218,  246,   0xb8ac,   /*    */
201,  218,  247,   0xb8ad,   /*    */
202,  212,  228,   0xb8f1,   /*    */
202,  212,  230,   0xb8f2,   /*    */
202,  212,  231,   0xb8f3,   /*    */
202,  212,  234,   0xb8f4,   /*    */
202,  212,  236,   0xb8f5,   /*    */
202,  212,  239,   0xb8f6,   /*    */
202,  212,  240,   0xb8f7,   /*    */
202,  212,  241,   0xb8f8,   /*    */
202,  212,  242,   0xb8f9,   /*    */
202,  213,  231,   0xb9a7,   /*    */
202,  213,  234,   0xb9a8,   /*    */
202,  213,  240,   0xb9a9,   /*    */
202,  213,  241,   0xb9aa,   /*    */
202,  214,  228,   0xb9ac,   /*    */
202,  214,  229,   0xb9ad,   /*    */
202,  214,  233,   0xb9af,   /*    */
202,  214,  234,   0xb9b0,   /*    */
202,  214,  235,   0xb9b1,   /*    */
202,  214,  236,   0xb9b2,   /*    */
202,  214,  239,   0xb9b3,   /*    */
202,  214,  240,   0xb9b4,   /*    */
202,  214,  241,   0xb9b5,   /*    */
202,  214,  242,   0xb9b6,   /*    */
202,  214,  246,   0xb9b7,   /*    */
202,  214,  248,   0xb9b8,   /*    */
202,  215,  234,   0xb9c4,   /*    */
202,  215,  239,   0xb9c5,   /*    */
202,  215,  241,   0xb9c6,   /*    */
202,  216,    0,   0xb9ae,   /*    */
202,  217,    0,   0xb9c3,   /*    */
202,  218,  231,   0xb9c8,   /*    */
202,  218,  234,   0xb9c9,   /*    */
202,  218,  239,   0xb9ca,   /*    */
202,  218,  241,   0xb9cb,   /*    */
203,  212,  228,   0xbab9,   /*    */
203,  212,  229,   0xbaba,   /*    */
203,  212,  231,   0xbabb,   /*    */
203,  212,  234,   0xbabc,   /*    */
203,  212,  239,   0xbabd,   /*    */
203,  212,  240,   0xbabe,   /*    */
203,  212,  241,   0xbabf,   /*    */
203,  212,  242,   0xbac0,   /*    */
203,  213,  231,   0xbacd,   /*    */
203,  214,  228,   0xbacf,   /*    */
203,  214,  233,   0xbad1,   /*    */
203,  214,  234,   0xbad2,   /*    */
203,  214,  235,   0xbad3,   /*    */
203,  214,  236,   0xbad4,   /*    */
203,  214,  239,   0xbad5,   /*    */
203,  214,  240,   0xbad6,   /*    */
203,  214,  241,   0xbad7,   /*    */
203,  214,  242,   0xbad8,   /*    */
203,  214,  246,   0xbad9,   /*    */
203,  214,  247,   0xbada,   /*    */
203,  215,  234,   0xbae6,   /*    */
203,  215,  239,   0xbae7,   /*    */
203,  215,  241,   0xbae8,   /*    */
203,  215,  242,   0xbae9,   /*    */
203,  216,    0,   0xbad0,   /*    */
203,  217,    0,   0xbae5,   /*    */
203,  218,  228,   0xbaeb,   /*    */
203,  218,  231,   0xbaec,   /*    */
203,  218,  234,   0xbaed,   /*    */
203,  218,  239,   0xbaee,   /*    */
203,  218,  240,   0xbaef,   /*    */
203,  218,  241,   0xbaf0,   /*    */
204,  212,  228,   0xbbc8,   /*    */
204,  212,  231,   0xbbc9,   /*    */
204,  212,  234,   0xbbca,   /*    */
204,  212,  239,   0xbbcb,   /*    */
204,  212,  240,   0xbbcc,   /*    */
204,  212,  242,   0xbbcd,   /*    */
204,  213,  242,   0xbbd0,   /*    */
204,  214,  228,   0xbbd2,   /*    */
204,  214,  234,   0xbbd4,   /*    */
204,  214,  239,   0xbbd5,   /*    */
204,  214,  241,   0xbbd6,   /*    */
204,  214,  242,   0xbbd7,   /*    */
204,  215,  242,   0xbbd9,   /*    */
204,  216,    0,   0xbbd3,   /*    */
204,  218,  231,   0xbbdb,   /*    */
204,  218,  234,   0xbbdc,   /*    */
204,  218,  239,   0xbbdd,   /*    */
204,  218,  240,   0xbbde,   /*    */
205,  212,  228,   0xbcd3,   /*    */
205,  212,  229,   0xbcd4,   /*    */
205,  212,  231,   0xbcd5,   /*    */
205,  212,  234,   0xbcd6,   /*    */
205,  212,  236,   0xbcd7,   /*    */
205,  212,  239,   0xbcd8,   /*    */
205,  212,  240,   0xbcd9,   /*    */
205,  212,  241,   0xbcda,   /*    */
205,  212,  242,   0xbcdb,   /*    */
205,  212,  246,   0xbcdc,   /*    */
205,  213,  228,   0xbcef,   /*    */
205,  213,  231,   0xbcf0,   /*    */
205,  213,  234,   0xbcf1,   /*    */
205,  213,  239,   0xbcf2,   /*    */
205,  213,  240,   0xbcf3,   /*    */
205,  213,  241,   0xbcf4,   /*    */
205,  213,  242,   0xbcf5,   /*    */
205,  214,  228,   0xbcf7,   /*    */
205,  214,  233,   0xbcf9,   /*    */
205,  214,  234,   0xbcfa,   /*    */
205,  214,  239,   0xbcfb,   /*    */
205,  214,  240,   0xbcfc,   /*    */
205,  214,  241,   0xbcfd,   /*    */
205,  214,  242,   0xbcfe,   /*    */
205,  214,  244,   0xbda1,   /*    */
205,  214,  246,   0xbda2,   /*    */
205,  214,  247,   0xbda3,   /*    */
205,  215,  228,   0xbdb5,   /*    */
205,  215,  234,   0xbdb6,   /*    */
205,  215,  239,   0xbdb7,   /*    */
205,  215,  241,   0xbdb8,   /*    */
205,  215,  242,   0xbdb9,   /*    */
205,  216,    0,   0xbcf8,   /*    */
205,  218,  228,   0xbdbb,   /*    */
205,  218,  231,   0xbdbc,   /*    */
205,  218,  234,   0xbdbd,   /*    */
205,  218,  235,   0xbdbe,   /*    */
205,  218,  239,   0xbdbf,   /*    */
205,  218,  240,   0xbdc0,   /*    */
205,  218,  241,   0xbdc1,   /*    */
205,  218,  242,   0xbdc2,   /*    */
206,  212,  228,   0xbdef,   /*    */
206,  212,  231,   0xbdf0,   /*    */
206,  212,  233,   0xbdf1,   /*    */
206,  212,  234,   0xbdf2,   /*    */
206,  212,  236,   0xbdf3,   /*    */
206,  212,  239,   0xbdf4,   /*    */
206,  212,  240,   0xbdf5,   /*    */
206,  212,  242,   0xbdf6,   /*    */
206,  214,  228,   0xbea6,   /*    */
206,  214,  234,   0xbea8,   /*    */
206,  214,  239,   0xbea9,   /*    */
206,  214,  240,   0xbeaa,   /*    */
206,  214,  242,   0xbeab,   /*    */
206,  215,  242,   0xbeb1,   /*    */
206,  216,    0,   0xbea7,   /*    */
206,  218,  228,   0xbeb3,   /*    */
206,  218,  231,   0xbeb4,   /*    */
206,  218,  234,   0xbeb5,   /*    */
206,  218,  236,   0xbeb6,   /*    */
206,  218,  238,   0xbeb7,   /*    */
206,  218,  239,   0xbeb8,   /*    */
206,  218,  240,   0xbeb9,   /*    */
207,  212,  228,   0xbfc1,   /*    */
207,  212,  231,   0xbfc2,   /*    */
207,  212,  234,   0xbfc3,   /*    */
207,  212,  235,   0xbfc4,   /*    */
207,  212,  236,   0xbfc5,   /*    */
207,  212,  237,   0xbfc6,   /*    */
207,  212,  238,   0xbfc7,   /*    */
207,  212,  239,   0xbfc8,   /*    */
207,  212,  240,   0xbfc9,   /*    */
207,  212,  241,   0xbfca,   /*    */
207,  212,  242,   0xbfcb,   /*    */
207,  212,  244,   0xbfcc,   /*    */
207,  213,  228,   0xbfe5,   /*    */
207,  213,  231,   0xbfe6,   /*    */
207,  213,  234,   0xbfe7,   /*    */
207,  213,  239,   0xbfe8,   /*    */
207,  213,  240,   0xbfe9,   /*    */
207,  213,  241,   0xbfea,   /*    */
207,  213,  242,   0xbfeb,   /*    */
207,  214,  228,   0xbfed,   /*    */
207,  214,  234,   0xbfef,   /*    */
207,  214,  235,   0xbff0,   /*    */
207,  214,  236,   0xbff1,   /*    */
207,  214,  239,   0xbff2,   /*    */
207,  214,  240,   0xbff3,   /*    */
207,  214,  241,   0xbff4,   /*    */
207,  214,  242,   0xbff5,   /*    */
207,  215,  228,   0xc0b0,   /*    */
207,  215,  234,   0xc0b2,   /*    */
207,  215,  239,   0xc0b3,   /*    */
207,  215,  240,   0xc0b4,   /*    */
207,  215,  241,   0xc0b5,   /*    */
207,  215,  242,   0xc0b6,   /*    */
207,  215,  244,   0xc0b7,   /*    */
207,  216,    0,   0xbfee,   /*    */
207,  217,    0,   0xc0b1,   /*    */
207,  218,  228,   0xc0b9,   /*    */
207,  218,  231,   0xc0ba,   /*    */
207,  218,  234,   0xc0bb,   /*    */
207,  218,  239,   0xc0bd,   /*    */
207,  218,  240,   0xc0be,   /*    */
207,  218,  241,   0xc0bf,   /*    */
207,  218,  242,   0xc0c0,   /*    */
207,  218,  243,   0xc0c1,   /*    */
207,  218,  244,   0xc0c2,   /*    */
207,  218,  245,   0xc0c3,   /*    */
207,  218,  246,   0xc0c4,   /*    */
207,  218,  247,   0xc0c5,   /*    */
207,  218,  248,   0xc0c6,   /*    */
208,  212,  228,   0xc1b7,   /*    */
208,  212,  231,   0xc1b8,   /*    */
208,  212,  234,   0xc1b9,   /*    */
208,  212,  236,   0xc1ba,   /*    */
208,  212,  239,   0xc1bb,   /*    */
208,  212,  240,   0xc1bc,   /*    */
208,  212,  241,   0xc1bd,   /*    */
208,  212,  242,   0xc1be,   /*    */
208,  212,  243,   0xc1bf,   /*    */
208,  212,  244,   0xc1c0,   /*    */
208,  212,  248,   0xc1c1,   /*    */
208,  213,  228,   0xc1d3,   /*    */
208,  213,  231,   0xc1d4,   /*    */
208,  213,  242,   0xc1d5,   /*    */
208,  214,  228,   0xc1d7,   /*    */
208,  214,  234,   0xc1d9,   /*    */
208,  214,  235,   0xc1da,   /*    */
208,  214,  236,   0xc1db,   /*    */
208,  214,  239,   0xc1dc,   /*    */
208,  214,  240,   0xc1dd,   /*    */
208,  214,  241,   0xc1de,   /*    */
208,  214,  242,   0xc1df,   /*    */
208,  215,  234,   0xc1ec,   /*    */
208,  215,  239,   0xc1ed,   /*    */
208,  216,    0,   0xc1d8,   /*    */
208,  217,    0,   0xc1eb,   /*    */
208,  218,  228,   0xc1ef,   /*    */
208,  218,  231,   0xc1f0,   /*    */
208,  218,  234,   0xc1f1,   /*    */
208,  218,  239,   0xc1f2,   /*    */
208,  218,  240,   0xc1f3,   /*    */
208,  218,  241,   0xc1f4,   /*    */
208,  218,  242,   0xc1f5,   /*    */
209,  212,  228,   0xc2ca,   /*    */
209,  212,  231,   0xc2cb,   /*    */
209,  212,  234,   0xc2cc,   /*    */
209,  212,  239,   0xc2cd,   /*    */
209,  212,  240,   0xc2ce,   /*    */
209,  212,  241,   0xc2cf,   /*    */
209,  212,  242,   0xc2d0,   /*    */
209,  212,  244,   0xc2d1,   /*    */
209,  213,  242,   0xc2dd,   /*    */
209,  214,  228,   0xc2df,   /*    */
209,  214,  234,   0xc2e1,   /*    */
209,  214,  239,   0xc2e2,   /*    */
209,  214,  240,   0xc2e3,   /*    */
209,  214,  242,   0xc2e4,   /*    */
209,  216,    0,   0xc2e0,   /*    */
209,  218,  239,   0xc2eb,   /*    */
209,  218,  241,   0xc2ec,   /*    */
209,  218,  242,   0xc2ed,   /*    */
210,  212,  228,   0xc5e5,   /*    */
210,  212,  231,   0xc5e6,   /*    */
210,  212,  234,   0xc5e7,   /*    */
210,  212,  239,   0xc5e8,   /*    */
210,  212,  240,   0xc5e9,   /*    */
210,  212,  241,   0xc5ea,   /*    */
210,  212,  242,   0xc5eb,   /*    */
210,  212,  247,   0xc5ec,   /*    */
210,  214,  228,   0xc5f6,   /*    */
210,  214,  234,   0xc5f8,   /*    */
210,  214,  239,   0xc5f9,   /*    */
210,  214,  240,   0xc5fa,   /*    */
210,  214,  241,   0xc5fb,   /*    */
210,  214,  242,   0xc5fc,   /*    */
210,  215,  234,   0xc6ab,   /*  ƫ  */
210,  215,  239,   0xc6ac,   /*  Ƭ  */
210,  215,  242,   0xc6ad,   /*  ƭ  */
210,  216,    0,   0xc5f7,   /*    */
210,  217,    0,   0xc6aa,   /*  ƪ  */
210,  218,  228,   0xc6af,   /*  Ư  */
210,  218,  231,   0xc6b0,   /*  ư  */
210,  218,  233,   0xc6b1,   /*  Ʊ  */
210,  218,  234,   0xc6b2,   /*  Ʋ  */
210,  218,  236,   0xc6b3,   /*  Ƴ  */
210,  218,  239,   0xc6b4,   /*  ƴ  */
210,  218,  240,   0xc6b5,   /*  Ƶ  */
210,  218,  241,   0xc6b6,   /*  ƶ  */
211,  212,  228,   0xc6f8,   /*    */
211,  212,  231,   0xc6f9,   /*    */
211,  212,  234,   0xc6fa,   /*    */
211,  212,  239,   0xc6fb,   /*    */
211,  212,  240,   0xc6fc,   /*    */
211,  212,  241,   0xc6fd,   /*    */
211,  212,  242,   0xc6fe,   /*    */
211,  213,  231,   0xc7a6,   /*  Ǧ  */
211,  213,  234,   0xc7a7,   /*  ǧ  */
211,  213,  240,   0xc7a8,   /*  Ǩ  */
211,  213,  241,   0xc7a9,   /*  ǩ  */
211,  214,  228,   0xc7ab,   /*  ǫ  */
211,  214,  233,   0xc7ad,   /*  ǭ  */
211,  214,  234,   0xc7ae,   /*  Ǯ  */
211,  214,  236,   0xc7af,   /*  ǯ  */
211,  214,  239,   0xc7b0,   /*  ǰ  */
211,  214,  240,   0xc7b1,   /*  Ǳ  */
211,  214,  241,   0xc7b2,   /*  ǲ  */
211,  214,  242,   0xc7b3,   /*  ǳ  */
211,  215,  234,   0xc7bd,   /*  ǽ  */
211,  215,  239,   0xc7be,   /*  Ǿ  */
211,  215,  241,   0xc7bf,   /*  ǿ  */
211,  215,  242,   0xc7c0,   /*    */
211,  216,    0,   0xc7ac,   /*  Ǭ  */
211,  217,    0,   0xc7bc,   /*  Ǽ  */
211,  218,  231,   0xc7c2,   /*    */
211,  218,  234,   0xc7c3,   /*    */
211,  218,  239,   0xc7c4,   /*    */
211,  218,  240,   0xc7c5,   /*    */
211,  218,  241,   0xc7c6,   /*    */
219,  221,  231,   0xc3cc,   /*    */
219,  221,  242,   0xc3d1,   /*    */
219,  221,  249,   0xc3cb,   /*    */
219,  221,  250,   0xc3cd,   /*    */
219,  221,  252,   0xc3ce,   /*    */
219,  221,  253,   0xc3cf,   /*    */
219,  221,  254,   0xc3d0,   /*    */
219,  222,  252,   0xc3de,   /*    */
219,  223,  242,   0xc3e6,   /*    */
219,  223,  249,   0xc3e0,   /*    */
219,  223,  250,   0xc3e2,   /*    */
219,  223,  252,   0xc3e3,   /*    */
219,  223,  253,   0xc3e4,   /*    */
219,  223,  254,   0xc3e5,   /*    */
219,  224,  242,   0xc3f6,   /*    */
219,  224,  250,   0xc3f4,   /*    */
219,  224,  252,   0xc3f5,   /*    */
219,  225,    0,   0xc3e1,   /*    */
219,  226,    0,   0xc3f3,   /*    */
219,  227,  231,   0xc3f9,   /*    */
219,  227,  242,   0xc3fe,   /*    */
219,  227,  249,   0xc3f8,   /*    */
219,  227,  250,   0xc3fa,   /*    */
219,  227,  252,   0xc3fb,   /*    */
219,  227,  253,   0xc3fc,   /*    */
219,  227,  254,   0xc3fd,   /*    */
220,  221,  231,   0xc8a5,   /*  ȥ  */
220,  221,  242,   0xc8ab,   /*  ȫ  */
220,  221,  249,   0xc8a4,   /*  Ȥ  */
220,  221,  250,   0xc8a6,   /*  Ȧ  */
220,  221,  251,   0xc8a7,   /*  ȧ  */
220,  221,  252,   0xc8a8,   /*  Ȩ  */
220,  221,  253,   0xc8a9,   /*  ȩ  */
220,  221,  254,   0xc8aa,   /*  Ȫ  */
220,  221,  255,   0xc8ac,   /*  Ȭ  */
220,  222,  231,   0xc8c0,   /*    */
220,  222,  250,   0xc8c1,   /*    */
220,  222,  253,   0xc8c2,   /*    */
220,  222,  254,   0xc8c3,   /*    */
220,  223,  242,   0xc8cb,   /*    */
220,  223,  249,   0xc8c5,   /*    */
220,  223,  250,   0xc8c7,   /*    */
220,  223,  251,   0xc8c8,   /*    */
220,  223,  252,   0xc8c9,   /*    */
220,  223,  254,   0xc8ca,   /*    */
220,  224,  242,   0xc8e4,   /*    */
220,  224,  249,   0xc8df,   /*    */
220,  224,  250,   0xc8e1,   /*    */
220,  224,  252,   0xc8e2,   /*    */
220,  224,  254,   0xc8e3,   /*    */
220,  225,    0,   0xc8c6,   /*    */
220,  226,    0,   0xc8e0,   /*    */
220,  227,  231,   0xc8e7,   /*    */
220,  227,  242,   0xc8ef,   /*    */
220,  227,  249,   0xc8e6,   /*    */
220,  227,  250,   0xc8ea,   /*    */
220,  227,  252,   0xc8ec,   /*    */
220,  227,  253,   0xc8ed,   /*    */
220,  227,  254,   0xc8ee,   /*    */
220,  227,  255,   0xc8f0,   /*    */
 14,   34,  184,   0xb0a2,   /*    */
 14,   34,  190,   0xb0a4,   /*    */
 14,   34,  191,   0xb0a5,   /*    */
 14,   34,  192,   0xb0a6,   /*    */
 14,   34,  193,   0xb0a7,   /*    */
 14,   34,  196,   0xb0a8,   /*    */
 14,   34,  197,   0xb0a9,   /*    */
 14,   34,  198,   0xb0aa,   /*    */
 14,   34,  200,   0xb0ac,   /*    */
 14,   34,  201,   0xb0ad,   /*    */
 14,   34,  202,   0xb0ae,   /*    */
 14,   34,  203,   0xb0af,   /*    */
 14,   34,  205,   0xb0b0,   /*    */
 14,   34,  206,   0xb0b1,   /*    */
 14,   34,  207,   0xb0b2,   /*    */
 14,   35,  184,   0xb0bd,   /*    */
 14,   35,  191,   0xb0bf,   /*    */
 14,   35,  201,   0xb0c1,   /*    */
 14,   36,  184,   0xb1e3,   /*    */
 14,   36,  190,   0xb1e5,   /*    */
 14,   36,  191,   0xb1e6,   /*    */
 14,   36,  193,   0xb1e7,   /*    */
 14,   36,  196,   0xb1e8,   /*    */
 14,   36,  197,   0xb1e9,   /*    */
 14,   36,  201,   0xb1eb,   /*    */
 14,   36,  202,   0xb1ec,   /*    */
 14,   36,  206,   0xb1ed,   /*    */
 14,   37,  187,   0xb0a3,   /*    */
 14,   37,  199,   0xb0ab,   /*    */
 14,   38,  187,   0xb0be,   /*    */
 14,   38,  199,   0xb0c0,   /*    */
 14,   39,  187,   0xb1e4,   /*    */
 14,   39,  199,   0xb1ea,   /*    */
 14,   44,  184,   0xb0c6,   /*    */
 14,   44,  190,   0xb0c8,   /*    */
 14,   44,  191,   0xb0c9,   /*    */
 14,   44,  193,   0xb0ca,   /*    */
 14,   44,  196,   0xb0cb,   /*    */
 14,   44,  197,   0xb0cc,   /*    */
 14,   44,  200,   0xb0ce,   /*    */
 14,   44,  201,   0xb0cf,   /*    */
 14,   44,  202,   0xb0d0,   /*    */
 14,   44,  205,   0xb0d1,   /*    */
 14,   44,  206,   0xb0d2,   /*    */
 14,   44,  207,   0xb0d3,   /*    */
 14,   45,  184,   0xb0dd,   /*    */
 14,   45,  185,   0xb0de,   /*    */
 14,   45,  190,   0xb0e0,   /*    */
 14,   45,  191,   0xb0e1,   /*    */
 14,   45,  196,   0xb0e2,   /*    */
 14,   45,  197,   0xb0e3,   /*    */
 14,   45,  200,   0xb0e5,   /*    */
 14,   45,  201,   0xb0e6,   /*    */
 14,   45,  205,   0xb0e7,   /*    */
 14,   46,  187,   0xb0c7,   /*    */
 14,   46,  199,   0xb0cd,   /*    */
 14,   47,  187,   0xb0df,   /*    */
 14,   47,  199,   0xb0e4,   /*    */
 15,   34,  184,   0xb1ef,   /*    */
 15,   34,  185,   0xb1f0,   /*    */
 15,   34,  191,   0xb1f2,   /*    */
 15,   34,  193,   0xb1f3,   /*    */
 15,   34,  196,   0xb1f4,   /*    */
 15,   34,  197,   0xb1f5,   /*    */
 15,   34,  200,   0xb1f7,   /*    */
 15,   34,  201,   0xb1f8,   /*    */
 15,   34,  205,   0xb1f9,   /*    */
 15,   35,  184,   0xb2a6,   /*    */
 15,   35,  191,   0xb2a7,   /*    */
 15,   36,  184,   0xb3a3,   /*    */
 15,   36,  191,   0xb3a5,   /*    */
 15,   36,  196,   0xb3a6,   /*    */
 15,   36,  197,   0xb3a7,   /*    */
 15,   36,  201,   0xb3a9,   /*    */
 15,   37,  187,   0xb1f1,   /*    */
 15,   37,  199,   0xb1f6,   /*    */
 15,   39,  187,   0xb3a4,   /*    */
 15,   39,  199,   0xb3a8,   /*    */
 15,   49,  184,   0xb2a9,   /*    */
 15,   49,  185,   0xb2aa,   /*    */
 15,   49,  191,   0xb2ac,   /*    */
 15,   49,  196,   0xb2ad,   /*    */
 15,   49,  197,   0xb2ae,   /*    */
 15,   49,  200,   0xb2b0,   /*    */
 15,   49,  201,   0xb2b1,   /*    */
 15,   50,  191,   0xb2ba,   /*    */
 15,   50,  200,   0xb2bc,   /*    */
 15,   50,  205,   0xb2bd,   /*    */
 15,   51,  187,   0xb2ab,   /*    */
 15,   51,  199,   0xb2af,   /*    */
 15,   52,  187,   0xb2b9,   /*    */
 15,   52,  199,   0xb2bb,   /*    */
 16,   34,  184,   0xb3ab,   /*    */
 16,   34,  185,   0xb3ac,   /*    */
 16,   34,  190,   0xb3ae,   /*    */
 16,   34,  191,   0xb3af,   /*    */
 16,   34,  192,   0xb3b0,   /*    */
 16,   34,  193,   0xb3b1,   /*    */
 16,   34,  196,   0xb3b2,   /*    */
 16,   34,  197,   0xb3b3,   /*    */
 16,   34,  200,   0xb3b5,   /*    */
 16,   34,  201,   0xb3b6,   /*    */
 16,   34,  202,   0xb3b7,   /*    */
 16,   34,  203,   0xb3b8,   /*    */
 16,   34,  205,   0xb3b9,   /*    */
 16,   34,  207,   0xb3ba,   /*    */
 16,   35,  184,   0xb3c5,   /*    */
 16,   35,  191,   0xb3c7,   /*    */
 16,   35,  196,   0xb3c8,   /*    */
 16,   35,  201,   0xb3c9,   /*    */
 16,   36,  184,   0xb4d0,   /*    */
 16,   36,  191,   0xb4d2,   /*    */
 16,   36,  193,   0xb4d3,   /*    */
 16,   36,  196,   0xb4d4,   /*    */
 16,   36,  197,   0xb4d5,   /*    */
 16,   36,  201,   0xb4d7,   /*    */
 16,   36,  206,   0xb4d8,   /*    */
 16,   37,  187,   0xb3ad,   /*    */
 16,   37,  199,   0xb3b4,   /*    */
 16,   38,  187,   0xb3c6,   /*    */
 16,   39,  187,   0xb4d1,   /*    */
 16,   39,  199,   0xb4d6,   /*    */
 17,   34,  184,   0xb4da,   /*    */
 17,   34,  185,   0xb4db,   /*    */
 17,   34,  190,   0xb4dd,   /*    */
 17,   34,  191,   0xb4de,   /*    */
 17,   34,  192,   0xb4df,   /*    */
 17,   34,  193,   0xb4e0,   /*    */
 17,   34,  194,   0xb4e1,   /*    */
 17,   34,  195,   0xb4e2,   /*    */
 17,   34,  196,   0xb4e3,   /*    */
 17,   34,  197,   0xb4e4,   /*    */
 17,   34,  200,   0xb4e6,   /*    */
 17,   34,  201,   0xb4e7,   /*    */
 17,   34,  202,   0xb4e8,   /*    */
 17,   34,  203,   0xb4e9,   /*    */
 17,   34,  207,   0xb4ea,   /*    */
 17,   36,  184,   0xb5f1,   /*    */
 17,   36,  190,   0xb5f3,   /*    */
 17,   36,  191,   0xb5f4,   /*    */
 17,   36,  196,   0xb5f5,   /*    */
 17,   36,  197,   0xb5f6,   /*    */
 17,   36,  200,   0xb5f8,   /*    */
 17,   36,  201,   0xb5f9,   /*    */
 17,   36,  202,   0xb5fa,   /*    */
 17,   37,  187,   0xb4dc,   /*    */
 17,   37,  199,   0xb4e5,   /*    */
 17,   39,  187,   0xb5f2,   /*    */
 17,   39,  199,   0xb5f7,   /*    */
 18,   34,  184,   0xb5fc,   /*    */
 18,   34,  191,   0xb5fe,   /*    */
 18,   34,  196,   0xb6a1,   /*    */
 18,   34,  197,   0xb6a2,   /*    */
 18,   34,  200,   0xb6a4,   /*    */
 18,   34,  201,   0xb6a5,   /*    */
 18,   34,  207,   0xb6a6,   /*    */
 18,   36,  191,   0xb6ee,   /*    */
 18,   36,  196,   0xb6ef,   /*    */
 18,   36,  197,   0xb6f0,   /*    */
 18,   36,  201,   0xb6f2,   /*    */
 18,   37,  187,   0xb5fd,   /*    */
 18,   37,  199,   0xb6a3,   /*    */
 18,   39,  187,   0xb6ed,   /*    */
 18,   39,  199,   0xb6f1,   /*    */
 19,   34,  184,   0xb6f4,   /*    */
 19,   34,  191,   0xb6f6,   /*    */
 19,   34,  196,   0xb6f7,   /*    */
 19,   34,  197,   0xb6f8,   /*    */
 19,   34,  200,   0xb6fa,   /*    */
 19,   34,  201,   0xb6fb,   /*    */
 19,   34,  202,   0xb6fc,   /*    */
 19,   34,  206,   0xb6fd,   /*    */
 19,   34,  207,   0xb6fe,   /*    */
 19,   35,  184,   0xb7ab,   /*    */
 19,   35,  201,   0xb7ae,   /*    */
 19,   36,  184,   0xb8af,   /*    */
 19,   36,  191,   0xb8b1,   /*    */
 19,   36,  196,   0xb8b2,   /*    */
 19,   36,  197,   0xb8b3,   /*    */
 19,   36,  201,   0xb8b5,   /*    */
 19,   37,  187,   0xb6f5,   /*    */
 19,   37,  199,   0xb6f9,   /*    */
 19,   38,  187,   0xb7ac,   /*    */
 19,   38,  199,   0xb7ad,   /*    */
 19,   39,  187,   0xb8b0,   /*    */
 19,   39,  199,   0xb8b4,   /*    */
 20,   34,  184,   0xb8b7,   /*    */
 20,   34,  189,   0xb8b9,   /*    */
 20,   34,  190,   0xb8ba,   /*    */
 20,   34,  191,   0xb8bb,   /*    */
 20,   34,  192,   0xb8bc,   /*    */
 20,   34,  193,   0xb8bd,   /*    */
 20,   34,  196,   0xb8be,   /*    */
 20,   34,  197,   0xb8bf,   /*    */
 20,   34,  201,   0xb8c1,   /*    */
 20,   34,  202,   0xb8c2,   /*    */
 20,   34,  205,   0xb8c3,   /*    */
 20,   34,  207,   0xb8c4,   /*    */
 20,   35,  184,   0xb8d0,   /*    */
 20,   35,  191,   0xb8d1,   /*    */
 20,   35,  201,   0xb8d2,   /*    */
 20,   36,  184,   0xb9cd,   /*    */
 20,   36,  190,   0xb9cf,   /*    */
 20,   36,  191,   0xb9d0,   /*    */
 20,   36,  193,   0xb9d1,   /*    */
 20,   36,  196,   0xb9d2,   /*    */
 20,   36,  197,   0xb9d3,   /*    */
 20,   36,  200,   0xb9d5,   /*    */
 20,   36,  201,   0xb9d6,   /*    */
 20,   36,  203,   0xb9d7,   /*    */
 20,   36,  205,   0xb9d8,   /*    */
 20,   37,  187,   0xb8b8,   /*    */
 20,   37,  199,   0xb8c0,   /*    */
 20,   39,  187,   0xb9ce,   /*    */
 20,   39,  199,   0xb9d4,   /*    */
 20,   44,  184,   0xb8d4,   /*    */
 20,   44,  191,   0xb8d6,   /*    */
 20,   44,  193,   0xb8d7,   /*    */
 20,   44,  196,   0xb8d8,   /*    */
 20,   44,  197,   0xb8d9,   /*    */
 20,   44,  201,   0xb8db,   /*    */
 20,   44,  202,   0xb8dc,   /*    */
 20,   44,  207,   0xb8dd,   /*    */
 20,   45,  184,   0xb8e8,   /*    */
 20,   45,  191,   0xb8ea,   /*    */
 20,   45,  200,   0xb8ec,   /*    */
 20,   45,  201,   0xb8ed,   /*    */
 20,   45,  203,   0xb8ee,   /*    */
 20,   46,  187,   0xb8d5,   /*    */
 20,   46,  199,   0xb8da,   /*    */
 20,   47,  187,   0xb8e9,   /*    */
 20,   47,  199,   0xb8eb,   /*    */
 21,   34,  184,   0xb9da,   /*    */
 21,   34,  185,   0xb9db,   /*    */
 21,   34,  186,   0xb9dc,   /*    */
 21,   34,  190,   0xb9de,   /*    */
 21,   34,  191,   0xb9df,   /*    */
 21,   34,  192,   0xb9e0,   /*    */
 21,   34,  193,   0xb9e1,   /*    */
 21,   34,  194,   0xb9e2,   /*    */
 21,   34,  196,   0xb9e3,   /*    */
 21,   34,  197,   0xb9e4,   /*    */
 21,   34,  201,   0xb9e6,   /*    */
 21,   34,  205,   0xb9e7,   /*    */
 21,   35,  184,   0xb9f3,   /*    */
 21,   35,  197,   0xb9f5,   /*    */
 21,   36,  184,   0xbaf2,   /*    */
 21,   36,  191,   0xbaf4,   /*    */
 21,   36,  193,   0xbaf5,   /*    */
 21,   36,  196,   0xbaf6,   /*    */
 21,   36,  197,   0xbaf7,   /*    */
 21,   36,  201,   0xbaf9,   /*    */
 21,   36,  202,   0xbafa,   /*    */
 21,   36,  203,   0xbafb,   /*    */
 21,   37,  187,   0xb9dd,   /*    */
 21,   37,  199,   0xb9e5,   /*    */
 21,   38,  187,   0xb9f4,   /*    */
 21,   39,  187,   0xbaf3,   /*    */
 21,   39,  199,   0xbaf8,   /*    */
 21,   44,  184,   0xb9f7,   /*    */
 21,   44,  190,   0xb9f9,   /*    */
 21,   44,  191,   0xb9fa,   /*    */
 21,   44,  193,   0xb9fb,   /*    */
 21,   44,  196,   0xb9fc,   /*    */
 21,   44,  197,   0xb9fd,   /*    */
 21,   44,  201,   0xbaa1,   /*    */
 21,   44,  202,   0xbaa2,   /*    */
 21,   45,  184,   0xbaae,   /*    */
 21,   45,  191,   0xbab0,   /*    */
 21,   45,  197,   0xbab1,   /*    */
 21,   45,  200,   0xbab3,   /*    */
 21,   45,  201,   0xbab4,   /*    */
 21,   45,  205,   0xbab5,   /*    */
 21,   46,  187,   0xb9f8,   /*    */
 21,   46,  199,   0xb9fe,   /*    */
 21,   47,  187,   0xbaaf,   /*    */
 21,   47,  199,   0xbab2,   /*    */
 22,   34,  184,   0xbafd,   /*    */
 22,   34,  191,   0xbba1,   /*    */
 22,   34,  193,   0xbba2,   /*    */
 22,   34,  196,   0xbba3,   /*    */
 22,   34,  197,   0xbba4,   /*    */
 22,   34,  200,   0xbba6,   /*    */
 22,   34,  201,   0xbba7,   /*    */
 22,   34,  207,   0xbba8,   /*    */
 22,   35,  184,   0xbbb3,   /*    */
 22,   35,  196,   0xbbb4,   /*    */
 22,   36,  184,   0xbbe0,   /*    */
 22,   36,  191,   0xbbe2,   /*    */
 22,   36,  196,   0xbbe3,   /*    */
 22,   36,  197,   0xbbe4,   /*    */
 22,   36,  201,   0xbbe6,   /*    */
 22,   37,  187,   0xbafe,   /*    */
 22,   37,  199,   0xbba5,   /*    */
 22,   39,  187,   0xbbe1,   /*    */
 22,   39,  199,   0xbbe5,   /*    */
 22,   49,  184,   0xbbb6,   /*    */
 22,   49,  190,   0xbbb8,   /*    */
 22,   49,  191,   0xbbb9,   /*    */
 22,   49,  196,   0xbbba,   /*    */
 22,   49,  200,   0xbbbc,   /*    */
 22,   49,  201,   0xbbbd,   /*    */
 22,   50,  184,   0xbbc1,   /*    */
 22,   50,  196,   0xbbc2,   /*    */
 22,   50,  197,   0xbbc3,   /*    */
 22,   50,  200,   0xbbc5,   /*    */
 22,   50,  201,   0xbbc6,   /*    */
 22,   51,  187,   0xbbb7,   /*    */
 22,   51,  199,   0xbbbb,   /*    */
 22,   52,  199,   0xbbc4,   /*    */
 23,   34,  184,   0xbbe8,   /*    */
 23,   34,  186,   0xbbe9,   /*    */
 23,   34,  190,   0xbbeb,   /*    */
 23,   34,  191,   0xbbec,   /*    */
 23,   34,  192,   0xbbed,   /*    */
 23,   34,  193,   0xbbee,   /*    */
 23,   34,  196,   0xbbef,   /*    */
 23,   34,  197,   0xbbf0,   /*    */
 23,   34,  200,   0xbbf2,   /*    */
 23,   34,  201,   0xbbf3,   /*    */
 23,   34,  205,   0xbbf4,   /*    */
 23,   35,  184,   0xbca1,   /*    */
 23,   35,  191,   0xbca3,   /*    */
 23,   35,  196,   0xbca4,   /*    */
 23,   35,  197,   0xbca5,   /*    */
 23,   35,  201,   0xbca7,   /*    */
 23,   36,  184,   0xbdc4,   /*    */
 23,   36,  190,   0xbdc6,   /*    */
 23,   36,  191,   0xbdc7,   /*    */
 23,   36,  195,   0xbdc8,   /*    */
 23,   36,  196,   0xbdc9,   /*    */
 23,   36,  197,   0xbdca,   /*    */
 23,   36,  201,   0xbdcc,   /*    */
 23,   36,  206,   0xbdcd,   /*    */
 23,   37,  187,   0xbbea,   /*    */
 23,   37,  199,   0xbbf1,   /*    */
 23,   38,  187,   0xbca2,   /*    */
 23,   38,  199,   0xbca6,   /*    */
 23,   39,  187,   0xbdc5,   /*    */
 23,   39,  199,   0xbdcb,   /*    */
 23,   44,  184,   0xbcae,   /*    */
 23,   44,  185,   0xbcaf,   /*    */
 23,   44,  186,   0xbcb0,   /*    */
 23,   44,  190,   0xbcb2,   /*    */
 23,   44,  191,   0xbcb3,   /*    */
 23,   44,  193,   0xbcb4,   /*    */
 23,   44,  194,   0xbcb5,   /*    */
 23,   44,  196,   0xbcb6,   /*    */
 23,   44,  197,   0xbcb7,   /*    */
 23,   44,  200,   0xbcb9,   /*    */
 23,   44,  201,   0xbcba,   /*    */
 23,   44,  206,   0xbcbb,   /*    */
 23,   45,  184,   0xbcc6,   /*    */
 23,   45,  191,   0xbcc8,   /*    */
 23,   45,  196,   0xbcc9,   /*    */
 23,   45,  197,   0xbcca,   /*    */
 23,   45,  200,   0xbccc,   /*    */
 23,   45,  201,   0xbccd,   /*    */
 23,   46,  187,   0xbcb1,   /*    */
 23,   46,  199,   0xbcb8,   /*    */
 23,   47,  187,   0xbcc7,   /*    */
 23,   47,  199,   0xbccb,   /*    */
 24,   34,  184,   0xbdcf,   /*    */
 24,   34,  186,   0xbdd0,   /*    */
 24,   34,  191,   0xbdd2,   /*    */
 24,   34,  196,   0xbdd3,   /*    */
 24,   34,  197,   0xbdd4,   /*    */
 24,   34,  200,   0xbdd5,   /*    */
 24,   34,  201,   0xbdd6,   /*    */
 24,   34,  207,   0xbdd7,   /*    */
 24,   35,  201,   0xbde0,   /*    */
 24,   36,  184,   0xbebf,   /*    */
 24,   36,  191,   0xbec1,   /*    */
 24,   36,  196,   0xbec2,   /*    */
 24,   36,  197,   0xbec3,   /*    */
 24,   36,  199,   0xbec4,   /*    */
 24,   36,  201,   0xbec5,   /*    */
 24,   37,  187,   0xbdd1,   /*    */
 24,   39,  187,   0xbec0,   /*    */
 24,   49,  184,   0xbde2,   /*    */
 24,   49,  191,   0xbde4,   /*    */
 24,   49,  193,   0xbde5,   /*    */
 24,   49,  196,   0xbde6,   /*    */
 24,   49,  197,   0xbde7,   /*    */
 24,   49,  200,   0xbde8,   /*    */
 24,   49,  201,   0xbde9,   /*    */
 24,   51,  187,   0xbde3,   /*    */
 25,   34,  184,   0xbec7,   /*    */
 25,   34,  188,   0xbec9,   /*    */
 25,   34,  189,   0xbeca,   /*    */
 25,   34,  191,   0xbecb,   /*    */
 25,   34,  192,   0xbecc,   /*    */
 25,   34,  193,   0xbecd,   /*    */
 25,   34,  195,   0xbece,   /*    */
 25,   34,  196,   0xbecf,   /*    */
 25,   34,  197,   0xbed0,   /*    */
 25,   34,  200,   0xbed2,   /*    */
 25,   34,  201,   0xbed3,   /*    */
 25,   34,  205,   0xbed4,   /*    */
 25,   34,  206,   0xbed5,   /*    */
 25,   35,  184,   0xbee0,   /*    */
 25,   35,  191,   0xbee2,   /*    */
 25,   35,  194,   0xbee3,   /*    */
 25,   35,  196,   0xbee4,   /*    */
 25,   35,  197,   0xbee5,   /*    */
 25,   35,  201,   0xbee7,   /*    */
 25,   35,  205,   0xbee8,   /*    */
 25,   35,  207,   0xbee9,   /*    */
 25,   36,  184,   0xc0cd,   /*    */
 25,   36,  191,   0xc0cf,   /*    */
 25,   36,  192,   0xc0d0,   /*    */
 25,   36,  193,   0xc0d1,   /*    */
 25,   36,  195,   0xc0d2,   /*    */
 25,   36,  196,   0xc0d3,   /*    */
 25,   36,  197,   0xc0d4,   /*    */
 25,   36,  200,   0xc0d6,   /*    */
 25,   36,  201,   0xc0d7,   /*    */
 25,   36,  202,   0xc0d8,   /*    */
 25,   36,  206,   0xc0d9,   /*    */
 25,   37,  187,   0xbec8,   /*    */
 25,   37,  199,   0xbed1,   /*    */
 25,   38,  187,   0xbee1,   /*    */
 25,   38,  199,   0xbee6,   /*    */
 25,   39,  187,   0xc0ce,   /*    */
 25,   39,  199,   0xc0d5,   /*    */
 25,   44,  184,   0xbeef,   /*    */
 25,   44,  188,   0xbef1,   /*    */
 25,   44,  190,   0xbef2,   /*    */
 25,   44,  191,   0xbef3,   /*    */
 25,   44,  192,   0xbef4,   /*    */
 25,   44,  193,   0xbef5,   /*    */
 25,   44,  196,   0xbef6,   /*    */
 25,   44,  197,   0xbef7,   /*    */
 25,   44,  198,   0xbef8,   /*    */
 25,   44,  200,   0xbefa,   /*    */
 25,   44,  201,   0xbefb,   /*    */
 25,   44,  202,   0xbefc,   /*    */
 25,   44,  204,   0xbefd,   /*    */
 25,   44,  206,   0xbefe,   /*    */
 25,   45,  184,   0xbfaa,   /*    */
 25,   45,  185,   0xbfab,   /*    */
 25,   45,  191,   0xbfad,   /*    */
 25,   45,  193,   0xbfae,   /*    */
 25,   45,  194,   0xbfaf,   /*    */
 25,   45,  196,   0xbfb0,   /*    */
 25,   45,  197,   0xbfb1,   /*    */
 25,   45,  198,   0xbfb2,   /*    */
 25,   45,  200,   0xbfb4,   /*    */
 25,   45,  201,   0xbfb5,   /*    */
 25,   45,  205,   0xbfb6,   /*    */
 25,   45,  206,   0xbfb7,   /*    */
 25,   45,  207,   0xbfb8,   /*    */
 25,   46,  187,   0xbef0,   /*    */
 25,   46,  199,   0xbef9,   /*    */
 25,   47,  187,   0xbfac,   /*    */
 25,   47,  199,   0xbfb3,   /*    */
 26,   34,  184,   0xc0db,   /*    */
 26,   34,  189,   0xc0dd,   /*    */
 26,   34,  190,   0xc0de,   /*    */
 26,   34,  191,   0xc0df,   /*    */
 26,   34,  193,   0xc0e0,   /*    */
 26,   34,  196,   0xc0e1,   /*    */
 26,   34,  197,   0xc0e2,   /*    */
 26,   34,  200,   0xc0e4,   /*    */
 26,   34,  201,   0xc0e5,   /*    */
 26,   34,  202,   0xc0e6,   /*    */
 26,   35,  184,   0xc0f1,   /*    */
 26,   35,  189,   0xc0f3,   /*    */
 26,   35,  191,   0xc0f4,   /*    */
 26,   35,  196,   0xc0f5,   /*    */
 26,   35,  201,   0xc0f6,   /*    */
 26,   36,  184,   0xc1f7,   /*    */
 26,   36,  190,   0xc1f9,   /*    */
 26,   36,  191,   0xc1fa,   /*    */
 26,   36,  193,   0xc1fb,   /*    */
 26,   36,  196,   0xc1fc,   /*    */
 26,   36,  197,   0xc1fd,   /*    */
 26,   36,  201,   0xc2a1,   /*  ¡  */
 26,   36,  202,   0xc2a2,   /*  ¢  */
 26,   36,  205,   0xc2a3,   /*  £  */
 26,   36,  206,   0xc2a4,   /*  ¤  */
 26,   37,  187,   0xc0dc,   /*    */
 26,   37,  199,   0xc0e3,   /*    */
 26,   38,  187,   0xc0f2,   /*    */
 26,   39,  187,   0xc1f8,   /*    */
 26,   39,  199,   0xc1fe,   /*    */
 26,   44,  184,   0xc0fb,   /*    */
 26,   44,  191,   0xc0fd,   /*    */
 26,   44,  193,   0xc0fe,   /*    */
 26,   44,  196,   0xc1a1,   /*    */
 26,   44,  197,   0xc1a2,   /*    */
 26,   44,  201,   0xc1a4,   /*    */
 26,   44,  202,   0xc1a5,   /*    */
 26,   45,  191,   0xc1b0,   /*    */
 26,   45,  196,   0xc1b1,   /*    */
 26,   45,  197,   0xc1b2,   /*    */
 26,   45,  200,   0xc1b3,   /*    */
 26,   45,  201,   0xc1b4,   /*    */
 26,   46,  187,   0xc0fc,   /*    */
 26,   46,  199,   0xc1a3,   /*    */
 26,   47,  187,   0xc1af,   /*    */
 27,   34,  184,   0xc2a6,   /*  ¦  */
 27,   34,  189,   0xc2a8,   /*  ¨  */
 27,   34,  191,   0xc2a9,   /*  ©  */
 27,   34,  194,   0xc2aa,   /*  ª  */
 27,   34,  196,   0xc2ab,   /*  «  */
 27,   34,  197,   0xc2ac,   /*  ¬  */
 27,   34,  200,   0xc2ae,   /*  ®  */
 27,   34,  201,   0xc2af,   /*  ¯  */
 27,   35,  201,   0xc2bb,   /*  »  */
 27,   36,  184,   0xc2ef,   /*    */
 27,   36,  191,   0xc2f1,   /*    */
 27,   36,  196,   0xc2f2,   /*    */
 27,   36,  197,   0xc2f3,   /*    */
 27,   36,  201,   0xc2f4,   /*    */
 27,   36,  202,   0xc2f5,   /*    */
 27,   36,  207,   0xc2f6,   /*    */
 27,   37,  187,   0xc2a7,   /*  §  */
 27,   37,  199,   0xc2ad,   /*  ­  */
 27,   38,  187,   0xc2ba,   /*  º  */
 27,   39,  187,   0xc2f0,   /*    */
 27,   49,  184,   0xc2bd,   /*  ½  */
 27,   49,  191,   0xc2bf,   /*  ¿  */
 27,   49,  196,   0xc2c0,   /*    */
 27,   49,  197,   0xc2c1,   /*    */
 27,   49,  200,   0xc2c3,   /*    */
 27,   49,  201,   0xc2c4,   /*    */
 27,   50,  200,   0xc2c8,   /*    */
 27,   51,  187,   0xc2be,   /*  ¾  */
 27,   51,  199,   0xc2c2,   /*    */
 28,   35,  210,   0xc3af,   /*  ï  */
 28,   35,  212,   0xc3b0,   /*  ð  */
 28,   35,  216,   0xc3b1,   /*  ñ  */
 28,   35,  220,   0xc3b2,   /*  ò  */
 28,   38,  209,   0xc3ae,   /*  î  */
 28,   44,  219,   0xc3ba,   /*  ú  */
 28,   44,  220,   0xc3bb,   /*  û  */
 28,   53,  208,   0xc3b4,   /*  ô  */
 28,   53,  212,   0xc3b6,   /*  ö  */
 28,   53,  216,   0xc3b7,   /*  ÷  */
 28,   53,  217,   0xc3b8,   /*  ø  */
 28,   54,  219,   0xc3c6,   /*    */
 28,   55,  209,   0xc3b5,   /*  õ  */
 28,   55,  218,   0xc3b9,   /*  ù  */
 28,   56,  209,   0xc3c5,   /*    */
 28,  124,  208,   0xc2f8,   /*    */
 28,  124,  210,   0xc2fa,   /*    */
 28,  124,  212,   0xc2fb,   /*    */
 28,  124,  216,   0xc2fc,   /*    */
 28,  124,  217,   0xc2fd,   /*    */
 28,  124,  219,   0xc3a1,   /*  á  */
 28,  124,  220,   0xc3a2,   /*  â  */
 28,  124,  221,   0xc3a3,   /*  ã  */
 28,  125,  208,   0xc4a2,   /*  Ģ  */
 28,  125,  211,   0xc4a4,   /*  Ĥ  */
 28,  125,  212,   0xc4a5,   /*  ĥ  */
 28,  125,  213,   0xc4a6,   /*  Ħ  */
 28,  125,  216,   0xc4a7,   /*  ħ  */
 28,  125,  217,   0xc4a8,   /*  Ĩ  */
 28,  125,  220,   0xc4aa,   /*  Ī  */
 28,  126,  209,   0xc2f9,   /*    */
 28,  126,  218,   0xc2fe,   /*    */
 28,  127,  209,   0xc4a3,   /*  ģ  */
 28,  127,  218,   0xc4a9,   /*  ĩ  */
 29,   34,  184,   0xc4ac,   /*  Ĭ  */
 29,   34,  191,   0xc4ae,   /*  Į  */
 29,   34,  196,   0xc4af,   /*  į  */
 29,   34,  197,   0xc4b0,   /*  İ  */
 29,   34,  201,   0xc4b2,   /*  Ĳ  */
 29,   35,  184,   0xc4bd,   /*  Ľ  */
 29,   35,  201,   0xc4be,   /*  ľ  */
 29,   36,  184,   0xc5b1,   /*  ű  */
 29,   36,  191,   0xc5b3,   /*  ų  */
 29,   36,  196,   0xc5b4,   /*  Ŵ  */
 29,   36,  197,   0xc5b5,   /*  ŵ  */
 29,   36,  201,   0xc5b7,   /*  ŷ  */
 29,   37,  187,   0xc4ad,   /*  ĭ  */
 29,   37,  199,   0xc4b1,   /*  ı  */
 29,   39,  187,   0xc5b2,   /*  Ų  */
 29,   39,  199,   0xc5b6,   /*  Ŷ  */
 29,   44,  184,   0xc4c0,   /*    */
 29,   44,  190,   0xc4c2,   /*    */
 29,   44,  191,   0xc4c3,   /*    */
 29,   44,  196,   0xc4c4,   /*    */
 29,   44,  197,   0xc4c5,   /*    */
 29,   44,  200,   0xc4c7,   /*    */
 29,   44,  201,   0xc4c8,   /*    */
 29,   45,  191,   0xc4d3,   /*    */
 29,   45,  196,   0xc4d4,   /*    */
 29,   45,  197,   0xc4d5,   /*    */
 29,   45,  200,   0xc4d7,   /*    */
 29,   45,  201,   0xc4d8,   /*    */
 29,   46,  187,   0xc4c1,   /*    */
 29,   46,  199,   0xc4c6,   /*    */
 29,   47,  187,   0xc4d2,   /*    */
 29,   47,  199,   0xc4d6,   /*    */
 30,   34,  184,   0xc5b9,   /*  Ź  */
 30,   34,  191,   0xc5bb,   /*  Ż  */
 30,   34,  192,   0xc5bc,   /*  ż  */
 30,   34,  196,   0xc5bd,   /*  Ž  */
 30,   34,  197,   0xc5be,   /*  ž  */
 30,   34,  200,   0xc5c0,   /*    */
 30,   34,  201,   0xc5c1,   /*    */
 30,   35,  201,   0xc5cc,   /*    */
 30,   36,  184,   0xc6bd,   /*  ƽ  */
 30,   36,  191,   0xc6bf,   /*  ƿ  */
 30,   36,  196,   0xc6c0,   /*    */
 30,   36,  197,   0xc6c1,   /*    */
 30,   36,  201,   0xc6c3,   /*    */
 30,   37,  187,   0xc5ba,   /*  ź  */
 30,   37,  199,   0xc5bf,   /*  ſ  */
 30,   39,  187,   0xc6be,   /*  ƾ  */
 30,   39,  199,   0xc6c2,   /*    */
 31,   34,  184,   0xc6c5,   /*    */
 31,   34,  185,   0xc6c6,   /*    */
 31,   34,  191,   0xc6c8,   /*    */
 31,   34,  193,   0xc6c9,   /*    */
 31,   34,  196,   0xc6ca,   /*    */
 31,   34,  197,   0xc6cb,   /*    */
 31,   34,  200,   0xc6cd,   /*    */
 31,   34,  201,   0xc6ce,   /*    */
 31,   34,  205,   0xc6cf,   /*    */
 31,   35,  184,   0xc6da,   /*    */
 31,   36,  184,   0xc7c8,   /*    */
 31,   36,  191,   0xc7ca,   /*    */
 31,   36,  196,   0xc7cb,   /*    */
 31,   36,  197,   0xc7cc,   /*    */
 31,   36,  201,   0xc7ce,   /*    */
 31,   37,  187,   0xc6c7,   /*    */
 31,   37,  199,   0xc6cc,   /*    */
 31,   39,  187,   0xc7c9,   /*    */
 31,   39,  199,   0xc7cd,   /*    */
 33,   35,  220,   0xc7e2,   /*    */
 33,   53,  208,   0xc7e4,   /*    */
 33,   53,  212,   0xc7e6,   /*    */
 33,   53,  214,   0xc7e7,   /*    */
 33,   53,  216,   0xc7e8,   /*    */
 33,   53,  217,   0xc7e9,   /*    */
 33,   53,  220,   0xc7eb,   /*    */
 33,   54,  208,   0xc7f5,   /*    */
 33,   54,  212,   0xc7f7,   /*    */
 33,   54,  216,   0xc7f8,   /*    */
 33,   54,  217,   0xc7f9,   /*    */
 33,   54,  219,   0xc7fb,   /*    */
 33,   54,  220,   0xc7fc,   /*    */
 33,   55,  209,   0xc7e5,   /*    */
 33,   55,  218,   0xc7ea,   /*    */
 33,   56,  209,   0xc7f6,   /*    */
 33,   56,  218,   0xc7fa,   /*    */
 33,  124,  208,   0xc7d0,   /*    */
 33,  124,  212,   0xc7d2,   /*    */
 33,  124,  215,   0xc7d3,   /*    */
 33,  124,  216,   0xc7d4,   /*    */
 33,  124,  217,   0xc7d5,   /*    */
 33,  124,  220,   0xc7d7,   /*    */
 33,  125,  208,   0xc8f8,   /*    */
 33,  125,  212,   0xc8fa,   /*    */
 33,  125,  216,   0xc8fb,   /*    */
 33,  125,  217,   0xc8fc,   /*    */
 33,  125,  220,   0xc8fe,   /*    */
 33,  126,  209,   0xc7d1,   /*    */
 33,  126,  218,   0xc7d6,   /*    */
 33,  127,  209,   0xc8f9,   /*    */
 33,  127,  218,   0xc8fd,   /*    */
 40,   44,  184,   0xb4f6,   /*    */
 40,   44,  185,   0xb4f7,   /*    */
 40,   44,  190,   0xb4f9,   /*    */
 40,   44,  191,   0xb4fa,   /*    */
 40,   44,  193,   0xb4fb,   /*    */
 40,   44,  194,   0xb4fc,   /*    */
 40,   44,  196,   0xb4fd,   /*    */
 40,   44,  197,   0xb4fe,   /*    */
 40,   44,  201,   0xb5a2,   /*    */
 40,   44,  203,   0xb5a3,   /*    */
 40,   44,  206,   0xb5a4,   /*    */
 40,   45,  191,   0xb5b0,   /*    */
 40,   45,  200,   0xb5b1,   /*    */
 40,   45,  201,   0xb5b2,   /*    */
 40,   46,  187,   0xb4f8,   /*    */
 40,   46,  199,   0xb5a1,   /*    */
 40,   47,  187,   0xb5af,   /*    */
 41,   44,  184,   0xb7b0,   /*    */
 41,   44,  191,   0xb7b2,   /*    */
 41,   44,  196,   0xb7b3,   /*    */
 41,   44,  197,   0xb7b4,   /*    */
 41,   44,  200,   0xb7b6,   /*    */
 41,   44,  201,   0xb7b7,   /*    */
 41,   44,  207,   0xb7b8,   /*    */
 41,   45,  184,   0xb7c2,   /*    */
 41,   45,  191,   0xb7c4,   /*    */
 41,   45,  196,   0xb7c5,   /*    */
 41,   45,  197,   0xb7c6,   /*    */
 41,   45,  200,   0xb7c8,   /*    */
 41,   45,  201,   0xb7c9,   /*    */
 41,   46,  187,   0xb7b1,   /*    */
 41,   46,  199,   0xb7b5,   /*    */
 41,   47,  187,   0xb7c3,   /*    */
 41,   47,  199,   0xb7c7,   /*    */
 42,   44,  184,   0xc5ce,   /*    */
 42,   44,  191,   0xc5d0,   /*    */
 42,   44,  193,   0xc5d1,   /*    */
 42,   44,  196,   0xc5d2,   /*    */
 42,   44,  197,   0xc5d3,   /*    */
 42,   44,  200,   0xc5d5,   /*    */
 42,   44,  201,   0xc5d6,   /*    */
 42,   45,  200,   0xc5e1,   /*    */
 42,   46,  187,   0xc5cf,   /*    */
 42,   46,  199,   0xc5d4,   /*    */
 42,   47,  187,   0xc5e0,   /*    */
 43,   44,  184,   0xc6dc,   /*    */
 43,   44,  191,   0xc6de,   /*    */
 43,   44,  196,   0xc6df,   /*    */
 43,   44,  197,   0xc6e0,   /*    */
 43,   44,  200,   0xc6e2,   /*    */
 43,   44,  201,   0xc6e3,   /*    */
 43,   45,  191,   0xc6ee,   /*    */
 43,   45,  196,   0xc6ef,   /*    */
 43,   45,  197,   0xc6f0,   /*    */
 43,   45,  200,   0xc6f1,   /*    */
 43,   45,  201,   0xc6f2,   /*    */
 43,   46,  187,   0xc6dd,   /*    */
 43,   46,  199,   0xc6e1,   /*    */
 43,   47,  187,   0xc6ed,   /*    */
 48,   49,  184,   0xb6b1,   /*    */
 48,   49,  191,   0xb6b3,   /*    */
 48,   49,  193,   0xb6b4,   /*    */
 48,   49,  194,   0xb6b5,   /*    */
 48,   49,  196,   0xb6b6,   /*    */
 48,   49,  197,   0xb6b7,   /*    */
 48,   49,  200,   0xb6b9,   /*    */
 48,   49,  201,   0xb6ba,   /*    */
 48,   49,  207,   0xb6bb,   /*    */
 48,   50,  200,   0xb6c6,   /*    */
 48,   51,  187,   0xb6b2,   /*    */
 48,   51,  199,   0xb6b8,   /*    */
 57,  184,    0,   0xb3cb,   /*    */
 57,  186,    0,   0xb3cc,   /*    */
 57,  191,    0,   0xb3ce,   /*    */
 57,  193,    0,   0xb3cf,   /*    */
 57,  194,    0,   0xb3d0,   /*    */
 57,  196,    0,   0xb3d1,   /*    */
 57,  197,    0,   0xb3d2,   /*    */
 57,  200,    0,   0xb3d4,   /*    */
 57,  201,    0,   0xb3d5,   /*    */
 57,  207,    0,   0xb3d6,   /*    */
 58,  184,    0,   0xb3e1,   /*    */
 58,  191,    0,   0xb3e3,   /*    */
 58,  196,    0,   0xb3e4,   /*    */
 58,  197,    0,   0xb3e5,   /*    */
 58,  200,    0,   0xb3e6,   /*    */
 58,  201,    0,   0xb3e7,   /*    */
 58,  204,    0,   0xb3e8,   /*    */
 59,  187,    0,   0xb3cd,   /*    */
 59,  199,    0,   0xb3d3,   /*    */
 60,  187,    0,   0xb3e2,   /*    */
 61,   75,  184,   0xb0b4,   /*    */
 61,   75,  191,   0xb0b6,   /*    */
 61,   75,  196,   0xb0b7,   /*    */
 61,   75,  197,   0xb0b8,   /*    */
 61,   75,  200,   0xb0ba,   /*    */
 61,   75,  201,   0xb0bb,   /*    */
 61,   76,  191,   0xb0c4,   /*    */
 61,   77,  187,   0xb0b5,   /*    */
 61,   77,  199,   0xb0b9,   /*    */
 61,   78,  187,   0xb0c3,   /*    */
 61,   90,  191,   0xb0d6,   /*    */
 61,   90,  196,   0xb0d7,   /*    */
 61,   90,  197,   0xb0d8,   /*    */
 61,   90,  200,   0xb0da,   /*    */
 61,   90,  201,   0xb0db,   /*    */
 61,   91,  191,   0xb0ea,   /*    */
 61,   91,  197,   0xb0eb,   /*    */
 61,   92,  187,   0xb0d5,   /*    */
 61,   92,  199,   0xb0d9,   /*    */
 61,   93,  187,   0xb0e9,   /*    */
 61,   93,  199,   0xb0ec,   /*    */
 62,   75,  184,   0xb3bc,   /*    */
 62,   75,  191,   0xb3be,   /*    */
 62,   75,  196,   0xb3bf,   /*    */
 62,   75,  197,   0xb3c0,   /*    */
 62,   75,  200,   0xb3c2,   /*    */
 62,   75,  201,   0xb3c3,   /*    */
 62,   77,  187,   0xb3bd,   /*    */
 62,   77,  199,   0xb3c1,   /*    */
 63,   75,  184,   0xb4ec,   /*    */
 63,   75,  191,   0xb4ee,   /*    */
 63,   75,  196,   0xb4ef,   /*    */
 63,   75,  197,   0xb4f0,   /*    */
 63,   75,  200,   0xb4f2,   /*    */
 63,   75,  201,   0xb4f3,   /*    */
 63,   77,  187,   0xb4ed,   /*    */
 63,   77,  199,   0xb4f1,   /*    */
 64,   75,  184,   0xb7a2,   /*    */
 64,   75,  191,   0xb7a4,   /*    */
 64,   75,  196,   0xb7a5,   /*    */
 64,   75,  197,   0xb7a6,   /*    */
 64,   75,  200,   0xb7a8,   /*    */
 64,   75,  201,   0xb7a9,   /*    */
 64,   77,  187,   0xb7a3,   /*    */
 64,   77,  199,   0xb7a7,   /*    */
 65,   75,  184,   0xb8c6,   /*    */
 65,   75,  191,   0xb8c8,   /*    */
 65,   75,  196,   0xb8c9,   /*    */
 65,   75,  197,   0xb8ca,   /*    */
 65,   75,  200,   0xb8cc,   /*    */
 65,   75,  201,   0xb8cd,   /*    */
 65,   75,  202,   0xb8ce,   /*    */
 65,   77,  187,   0xb8c7,   /*    */
 65,   77,  199,   0xb8cb,   /*    */
 65,   90,  184,   0xb8df,   /*    */
 65,   90,  191,   0xb8e1,   /*    */
 65,   90,  196,   0xb8e2,   /*    */
 65,   90,  197,   0xb8e3,   /*    */
 65,   90,  200,   0xb8e5,   /*    */
 65,   90,  201,   0xb8e6,   /*    */
 65,   92,  187,   0xb8e0,   /*    */
 65,   92,  199,   0xb8e4,   /*    */
 66,   75,  184,   0xb9e9,   /*    */
 66,   75,  191,   0xb9eb,   /*    */
 66,   75,  196,   0xb9ec,   /*    */
 66,   75,  197,   0xb9ed,   /*    */
 66,   75,  200,   0xb9ef,   /*    */
 66,   75,  201,   0xb9f0,   /*    */
 66,   75,  205,   0xb9f1,   /*    */
 66,   77,  187,   0xb9ea,   /*    */
 66,   77,  199,   0xb9ee,   /*    */
 66,   90,  184,   0xbaa4,   /*    */
 66,   90,  190,   0xbaa6,   /*    */
 66,   90,  191,   0xbaa7,   /*    */
 66,   90,  196,   0xbaa8,   /*    */
 66,   90,  197,   0xbaa9,   /*    */
 66,   90,  200,   0xbaab,   /*    */
 66,   90,  201,   0xbaac,   /*    */
 66,   92,  187,   0xbaa5,   /*    */
 66,   92,  199,   0xbaaa,   /*    */
 66,   93,  187,   0xbab7,   /*    */
 67,   75,  184,   0xbbf6,   /*    */
 67,   75,  191,   0xbbf8,   /*    */
 67,   75,  196,   0xbbf9,   /*    */
 67,   75,  197,   0xbbfa,   /*    */
 67,   75,  200,   0xbbfc,   /*    */
 67,   75,  201,   0xbbfd,   /*    */
 67,   76,  191,   0xbcaa,   /*    */
 67,   76,  196,   0xbcab,   /*    */
 67,   76,  201,   0xbcac,   /*    */
 67,   77,  187,   0xbbf7,   /*    */
 67,   77,  199,   0xbbfb,   /*    */
 67,   78,  187,   0xbca9,   /*    */
 67,   90,  184,   0xbcbd,   /*    */
 67,   90,  191,   0xbcbf,   /*    */
 67,   90,  196,   0xbcc0,   /*    */
 67,   90,  197,   0xbcc1,   /*    */
 67,   90,  200,   0xbcc3,   /*    */
 67,   90,  201,   0xbcc4,   /*    */
 67,   91,  191,   0xbcd0,   /*    */
 67,   91,  201,   0xbcd1,   /*    */
 67,   92,  187,   0xbcbe,   /*    */
 67,   92,  199,   0xbcc2,   /*    */
 67,   93,  187,   0xbccf,   /*    */
 68,   75,  184,   0xbed7,   /*    */
 68,   75,  191,   0xbed9,   /*    */
 68,   75,  196,   0xbeda,   /*    */
 68,   75,  197,   0xbedb,   /*    */
 68,   75,  200,   0xbedd,   /*    */
 68,   75,  201,   0xbede,   /*    */
 68,   76,  191,   0xbeec,   /*    */
 68,   76,  197,   0xbeed,   /*    */
 68,   77,  187,   0xbed8,   /*    */
 68,   77,  199,   0xbedc,   /*    */
 68,   78,  187,   0xbeeb,   /*    */
 68,   90,  184,   0xbfa2,   /*    */
 68,   90,  191,   0xbfa4,   /*    */
 68,   90,  196,   0xbfa5,   /*    */
 68,   90,  197,   0xbfa6,   /*    */
 68,   90,  201,   0xbfa8,   /*    */
 68,   91,  191,   0xbfbb,   /*    */
 68,   91,  196,   0xbfbc,   /*    */
 68,   91,  197,   0xbfbd,   /*    */
 68,   91,  200,   0xbfbf,   /*    */
 68,   92,  187,   0xbfa3,   /*    */
 68,   92,  199,   0xbfa7,   /*    */
 68,   93,  187,   0xbfba,   /*    */
 68,   93,  199,   0xbfbe,   /*    */
 69,   75,  184,   0xc0e8,   /*    */
 69,   75,  191,   0xc0ea,   /*    */
 69,   75,  196,   0xc0eb,   /*    */
 69,   75,  197,   0xc0ec,   /*    */
 69,   75,  200,   0xc0ee,   /*    */
 69,   75,  201,   0xc0ef,   /*    */
 69,   76,  191,   0xc0f9,   /*    */
 69,   77,  187,   0xc0e9,   /*    */
 69,   77,  199,   0xc0ed,   /*    */
 69,   78,  187,   0xc0f8,   /*    */
 69,   90,  184,   0xc1a7,   /*    */
 69,   90,  191,   0xc1a9,   /*    */
 69,   90,  196,   0xc1aa,   /*    */
 69,   90,  197,   0xc1ab,   /*    */
 69,   90,  201,   0xc1ad,   /*    */
 69,   92,  187,   0xc1a8,   /*    */
 69,   92,  199,   0xc1ac,   /*    */
 70,   75,  208,   0xc3a5,   /*  å  */
 70,   75,  212,   0xc3a7,   /*  ç  */
 70,   75,  216,   0xc3a8,   /*  è  */
 70,   75,  217,   0xc3a9,   /*  é  */
 70,   75,  219,   0xc3ab,   /*  ë  */
 70,   75,  220,   0xc3ac,   /*  ì  */
 70,   77,  209,   0xc3a6,   /*  æ  */
 70,   77,  218,   0xc3aa,   /*  ê  */
 70,   98,  208,   0xc3bd,   /*  ý  */
 70,   98,  212,   0xc3bf,   /*  ÿ  */
 70,   98,  216,   0xc3c0,   /*    */
 70,   98,  217,   0xc3c1,   /*    */
 70,   98,  220,   0xc3c3,   /*    */
 70,   99,  220,   0xc3c9,   /*    */
 70,  100,  209,   0xc3be,   /*  þ  */
 70,  100,  218,   0xc3c2,   /*    */
 70,  101,  209,   0xc3c8,   /*    */
 71,   75,  184,   0xc4b4,   /*  Ĵ  */
 71,   75,  191,   0xc4b6,   /*  Ķ  */
 71,   75,  196,   0xc4b7,   /*  ķ  */
 71,   75,  197,   0xc4b8,   /*  ĸ  */
 71,   75,  200,   0xc4ba,   /*  ĺ  */
 71,   75,  201,   0xc4bb,   /*  Ļ  */
 71,   77,  187,   0xc4b5,   /*  ĵ  */
 71,   77,  199,   0xc4b9,   /*  Ĺ  */
 71,   90,  184,   0xc4ca,   /*    */
 71,   90,  191,   0xc4cc,   /*    */
 71,   90,  196,   0xc4cd,   /*    */
 71,   90,  197,   0xc4ce,   /*    */
 71,   90,  199,   0xc4cf,   /*    */
 71,   90,  201,   0xc4d0,   /*    */
 71,   92,  187,   0xc4cb,   /*    */
 72,   75,  184,   0xc5c3,   /*    */
 72,   75,  191,   0xc5c5,   /*    */
 72,   75,  196,   0xc5c6,   /*    */
 72,   75,  197,   0xc5c7,   /*    */
 72,   75,  200,   0xc5c9,   /*    */
 72,   75,  201,   0xc5ca,   /*    */
 72,   77,  187,   0xc5c4,   /*    */
 72,   77,  199,   0xc5c8,   /*    */
 73,   75,  184,   0xc6d1,   /*    */
 73,   75,  191,   0xc6d3,   /*    */
 73,   75,  196,   0xc6d4,   /*    */
 73,   75,  197,   0xc6d5,   /*    */
 73,   75,  200,   0xc6d7,   /*    */
 73,   75,  201,   0xc6d8,   /*    */
 73,   77,  187,   0xc6d2,   /*    */
 73,   77,  199,   0xc6d6,   /*    */
 74,   75,  208,   0xc7d9,   /*    */
 74,   75,  212,   0xc7db,   /*    */
 74,   75,  216,   0xc7dc,   /*    */
 74,   75,  217,   0xc7dd,   /*    */
 74,   75,  219,   0xc7df,   /*    */
 74,   75,  220,   0xc7e0,   /*    */
 74,   77,  209,   0xc7da,   /*    */
 74,   77,  218,   0xc7de,   /*    */
 74,   98,  208,   0xc7ed,   /*    */
 74,   98,  212,   0xc7ef,   /*    */
 74,   98,  216,   0xc7f0,   /*    */
 74,   98,  217,   0xc7f1,   /*    */
 74,   98,  220,   0xc7f3,   /*    */
 74,   99,  212,   0xc8a1,   /*  ȡ  */
 74,   99,  217,   0xc8a2,   /*  Ȣ  */
 74,  100,  209,   0xc7ee,   /*    */
 74,  100,  218,   0xc7f2,   /*    */
 74,  101,  209,   0xc7fe,   /*    */
 79,   84,  184,   0xb1fb,   /*    */
 79,   84,  191,   0xb1fd,   /*    */
 79,   84,  196,   0xb1fe,   /*    */
 79,   84,  197,   0xb2a1,   /*    */
 79,   84,  200,   0xb2a3,   /*    */
 79,   84,  201,   0xb2a4,   /*    */
 79,   85,  187,   0xb1fc,   /*    */
 79,   85,  199,   0xb2a2,   /*    */
 79,   95,  184,   0xb2b3,   /*    */
 79,   95,  196,   0xb2b5,   /*    */
 79,   95,  201,   0xb2b7,   /*    */
 79,   96,  187,   0xb2b4,   /*    */
 79,   96,  199,   0xb2b6,   /*    */
 80,   84,  184,   0xb6a8,   /*    */
 80,   84,  191,   0xb6aa,   /*    */
 80,   84,  196,   0xb6ab,   /*    */
 80,   84,  197,   0xb6ac,   /*    */
 80,   84,  200,   0xb6ae,   /*    */
 80,   84,  201,   0xb6af,   /*    */
 80,   85,  187,   0xb6a9,   /*    */
 80,   85,  199,   0xb6ad,   /*    */
 81,   84,  184,   0xbbaa,   /*    */
 81,   84,  191,   0xbbac,   /*    */
 81,   84,  196,   0xbbad,   /*    */
 81,   84,  197,   0xbbae,   /*    */
 81,   84,  200,   0xbbb0,   /*    */
 81,   84,  201,   0xbbb1,   /*    */
 81,   85,  187,   0xbbab,   /*    */
 81,   85,  199,   0xbbaf,   /*    */
 81,   95,  201,   0xbbbf,   /*    */
 82,   84,  184,   0xbdd9,   /*    */
 82,   84,  191,   0xbddb,   /*    */
 82,   84,  196,   0xbddc,   /*    */
 82,   84,  197,   0xbddd,   /*    */
 82,   84,  200,   0xbdde,   /*    */
 82,   84,  201,   0xbddf,   /*    */
 82,   85,  187,   0xbdda,   /*    */
 82,   95,  191,   0xbdec,   /*    */
 82,   96,  187,   0xbdeb,   /*    */
 83,   84,  184,   0xc2b1,   /*  ±  */
 83,   84,  191,   0xc2b3,   /*  ³  */
 83,   84,  196,   0xc2b4,   /*  ´  */
 83,   84,  197,   0xc2b5,   /*  µ  */
 83,   84,  200,   0xc2b7,   /*  ·  */
 83,   84,  201,   0xc2b8,   /*  ¸  */
 83,   85,  187,   0xc2b2,   /*  ²  */
 83,   85,  199,   0xc2b6,   /*  ¶  */
 83,   95,  201,   0xc2c6,   /*    */
 86,   90,  184,   0xb5a6,   /*    */
 86,   90,  191,   0xb5a8,   /*    */
 86,   90,  196,   0xb5a9,   /*    */
 86,   90,  197,   0xb5aa,   /*    */
 86,   90,  200,   0xb5ac,   /*    */
 86,   90,  201,   0xb5ad,   /*    */
 86,   92,  187,   0xb5a7,   /*    */
 86,   92,  199,   0xb5ab,   /*    */
 86,   93,  187,   0xb5b4,   /*    */
 87,   90,  184,   0xb7ba,   /*    */
 87,   90,  191,   0xb7bc,   /*    */
 87,   90,  196,   0xb7bd,   /*    */
 87,   90,  197,   0xb7be,   /*    */
 87,   91,  197,   0xb7cc,   /*    */
 87,   92,  187,   0xb7bb,   /*    */
 87,   92,  199,   0xb7bf,   /*    */
 87,   92,  201,   0xb7c0,   /*    */
 87,   93,  187,   0xb7cb,   /*    */
 87,   93,  199,   0xb7cd,   /*    */
 88,   90,  184,   0xc5d8,   /*    */
 88,   90,  191,   0xc5da,   /*    */
 88,   90,  196,   0xc5db,   /*    */
 88,   90,  197,   0xc5dc,   /*    */
 88,   90,  201,   0xc5de,   /*    */
 88,   92,  187,   0xc5d9,   /*    */
 88,   92,  199,   0xc5dd,   /*    */
 88,   93,  187,   0xc5e3,   /*    */
 89,   90,  184,   0xc6e5,   /*    */
 89,   90,  191,   0xc6e7,   /*    */
 89,   90,  196,   0xc6e8,   /*    */
 89,   90,  197,   0xc6e9,   /*    */
 89,   90,  201,   0xc6eb,   /*    */
 89,   91,  191,   0xc6f4,   /*    */
 89,   91,  197,   0xc6f5,   /*    */
 89,   92,  187,   0xc6e6,   /*    */
 89,   92,  199,   0xc6ea,   /*    */
 89,   93,  199,   0xc6f6,   /*    */
 94,   95,  184,   0xb6bd,   /*    */
 94,   95,  191,   0xb6bf,   /*    */
 94,   95,  196,   0xb6c0,   /*    */
 94,   95,  197,   0xb6c1,   /*    */
 94,   95,  200,   0xb6c3,   /*    */
 94,   95,  201,   0xb6c4,   /*    */
 94,   96,  187,   0xb6be,   /*    */
 94,   96,  199,   0xb6c2,   /*    */
 97,    0,    0,   0xbded,   /*    */
102,  184,    0,   0xb3d8,   /*    */
102,  191,    0,   0xb3da,   /*    */
102,  196,    0,   0xb3db,   /*    */
102,  197,    0,   0xb3dc,   /*    */
102,  200,    0,   0xb3de,   /*    */
102,  201,    0,   0xb3df,   /*    */
103,    0,    0,   0xb3d9,   /*    */
104,    0,    0,   0xb3ea,   /*    */
105,    0,    0,   0xb3dd,   /*    */
106,  124,  208,   0xb0fb,   /*    */
106,  124,  212,   0xb0fd,   /*    */
106,  124,  216,   0xb1a1,   /*    */
106,  124,  217,   0xb1a2,   /*    */
106,  124,  220,   0xb1a4,   /*    */
106,  125,  208,   0xb1ac,   /*    */
106,  125,  212,   0xb1ae,   /*    */
106,  125,  216,   0xb1af,   /*    */
106,  125,  217,   0xb1b0,   /*    */
106,  125,  220,   0xb1b2,   /*    */
106,  126,  209,   0xb0fc,   /*    */
106,  126,  218,   0xb1a3,   /*    */
106,  127,  209,   0xb1ad,   /*    */
106,  127,  218,   0xb1b1,   /*    */
107,  124,  208,   0xb2cb,   /*    */
107,  124,  212,   0xb2cc,   /*    */
107,  124,  219,   0xb2cd,   /*    */
107,  124,  220,   0xb2ce,   /*    */
107,  125,  212,   0xb2d4,   /*    */
107,  125,  216,   0xb2d5,   /*    */
107,  125,  217,   0xb2d6,   /*    */
107,  125,  220,   0xb2d7,   /*    */
107,  127,  209,   0xb2d3,   /*    */
108,  124,  212,   0xb3f8,   /*    */
108,  124,  219,   0xb3f9,   /*    */
108,  125,  212,   0xb3fc,   /*    */
108,  125,  216,   0xb3fd,   /*    */
108,  125,  217,   0xb3fe,   /*    */
108,  126,  209,   0xb3f7,   /*    */
108,  127,  209,   0xb3fb,   /*    */
108,  127,  218,   0xb4a1,   /*    */
109,  124,  212,   0xb5c4,   /*    */
109,  125,  212,   0xb5c9,   /*    */
109,  125,  216,   0xb5ca,   /*    */
109,  125,  217,   0xb5cb,   /*    */
109,  126,  209,   0xb5c3,   /*    */
109,  127,  209,   0xb5c8,   /*    */
109,  127,  218,   0xb5cc,   /*    */
110,  124,  212,   0xb6cd,   /*    */
110,  127,  209,   0xb6d0,   /*    */
111,  124,  220,   0xb7d8,   /*    */
111,  125,  212,   0xb7dc,   /*    */
111,  125,  216,   0xb7dd,   /*    */
111,  125,  217,   0xb7de,   /*    */
111,  125,  220,   0xb7e0,   /*    */
111,  126,  209,   0xb7d7,   /*    */
111,  127,  209,   0xb7db,   /*    */
111,  127,  218,   0xb7df,   /*    */
112,  124,  219,   0xb8fc,   /*    */
112,  124,  220,   0xb8fd,   /*    */
112,  125,  212,   0xb9a2,   /*    */
112,  125,  217,   0xb9a3,   /*    */
112,  125,  220,   0xb9a5,   /*    */
112,  126,  209,   0xb8fb,   /*    */
112,  127,  209,   0xb9a1,   /*    */
112,  127,  218,   0xb9a4,   /*    */
113,  124,  219,   0xbac3,   /*    */
113,  125,  208,   0xbac7,   /*    */
113,  125,  212,   0xbac9,   /*    */
113,  125,  216,   0xbaca,   /*    */
113,  125,  217,   0xbacb,   /*    */
113,  126,  209,   0xbac2,   /*    */
113,  127,  209,   0xbac8,   /*    */
114,  124,  208,   0xbcde,   /*    */
114,  124,  212,   0xbce0,   /*    */
114,  124,  220,   0xbce1,   /*    */
114,  125,  212,   0xbcea,   /*    */
114,  125,  216,   0xbceb,   /*    */
114,  125,  217,   0xbcec,   /*    */
114,  126,  209,   0xbcdf,   /*    */
114,  127,  209,   0xbce9,   /*    */
114,  127,  218,   0xbced,   /*    */
115,  124,  208,   0xbdf8,   /*    */
115,  124,  219,   0xbdfa,   /*    */
115,  125,  212,   0xbea1,   /*    */
115,  125,  216,   0xbea2,   /*    */
115,  125,  217,   0xbea3,   /*    */
115,  126,  209,   0xbdf9,   /*    */
115,  127,  209,   0xbdfe,   /*    */
116,  124,  208,   0xbfce,   /*    */
116,  124,  212,   0xbfd0,   /*    */
116,  124,  216,   0xbfd1,   /*    */
116,  124,  217,   0xbfd2,   /*    */
116,  124,  219,   0xbfd4,   /*    */
116,  124,  220,   0xbfd5,   /*    */
116,  125,  208,   0xbfdd,   /*    */
116,  125,  212,   0xbfdf,   /*    */
116,  125,  216,   0xbfe0,   /*    */
116,  125,  217,   0xbfe1,   /*    */
116,  125,  220,   0xbfe3,   /*    */
116,  126,  209,   0xbfcf,   /*    */
116,  126,  218,   0xbfd3,   /*    */
116,  127,  209,   0xbfde,   /*    */
116,  127,  218,   0xbfe2,   /*    */
117,  124,  208,   0xc1c3,   /*    */
117,  124,  212,   0xc1c4,   /*    */
117,  124,  217,   0xc1c5,   /*    */
117,  124,  220,   0xc1c7,   /*    */
117,  125,  212,   0xc1cd,   /*    */
117,  125,  216,   0xc1ce,   /*    */
117,  125,  217,   0xc1cf,   /*    */
117,  125,  220,   0xc1d1,   /*    */
117,  126,  218,   0xc1c6,   /*    */
117,  127,  209,   0xc1cc,   /*    */
117,  127,  218,   0xc1d0,   /*    */
118,  124,  208,   0xc2d3,   /*    */
118,  124,  212,   0xc2d4,   /*    */
118,  124,  219,   0xc2d5,   /*    */
118,  125,  212,   0xc2da,   /*    */
118,  125,  216,   0xc2db,   /*    */
118,  125,  217,   0xc2dc,   /*    */
118,  127,  209,   0xc2d9,   /*    */
119,  124,  212,   0xc3d4,   /*    */
119,  124,  220,   0xc3d5,   /*    */
119,  125,  212,   0xc3d8,   /*    */
119,  125,  216,   0xc3d9,   /*    */
119,  125,  217,   0xc3da,   /*    */
119,  125,  220,   0xc3dc,   /*    */
119,  126,  209,   0xc3d3,   /*    */
119,  127,  209,   0xc3d7,   /*    */
119,  127,  218,   0xc3db,   /*    */
120,  124,  208,   0xc4e3,   /*    */
120,  124,  212,   0xc4e5,   /*    */
120,  124,  216,   0xc4e6,   /*    */
120,  124,  220,   0xc4e7,   /*    */
120,  125,  212,   0xc4eb,   /*    */
120,  126,  209,   0xc4e4,   /*    */
121,  125,  220,   0xc5f3,   /*    */
121,  126,  209,   0xc5ee,   /*    */
121,  127,  209,   0xc5f1,   /*    */
121,  127,  218,   0xc5f2,   /*    */
122,  124,  220,   0xc7a2,   /*  Ǣ  */
122,  127,  209,   0xc7a4,   /*  Ǥ  */
123,  124,  208,   0xc8ae,   /*  Ȯ  */
123,  124,  212,   0xc8b0,   /*  Ȱ  */
123,  124,  220,   0xc8b2,   /*  Ȳ  */
123,  125,  208,   0xc8b9,   /*  ȹ  */
123,  125,  212,   0xc8bb,   /*  Ȼ  */
123,  125,  217,   0xc8bc,   /*  ȼ  */
123,  125,  220,   0xc8be,   /*  Ⱦ  */
123,  126,  209,   0xc8af,   /*  ȯ  */
123,  126,  218,   0xc8b1,   /*  ȱ  */
123,  127,  209,   0xc8ba,   /*  Ⱥ  */
123,  127,  218,   0xc8bd,   /*  Ƚ  */
128,    0,    0,   0xb0fe,   /*    */
129,  125,  212,   0xb4ce,   /*    */
129,  127,  209,   0xb4cd,   /*    */
130,  125,  212,   0xb6e9,   /*    */
130,  125,  216,   0xb6ea,   /*    */
130,  125,  217,   0xb6eb,   /*    */
130,  127,  209,   0xb6e8,   /*    */
131,  125,  212,   0xbebc,   /*    */
131,  125,  216,   0xbebd,   /*    */
131,  127,  209,   0xbebb,   /*    */
132,  125,  212,   0xc0c9,   /*    */
132,  125,  216,   0xc0ca,   /*    */
132,  127,  209,   0xc0c8,   /*    */
132,  127,  218,   0xc0cb,   /*    */
133,  125,  212,   0xc6b9,   /*  ƹ  */
133,  125,  216,   0xc6ba,   /*  ƺ  */
133,  125,  217,   0xc6bb,   /*  ƻ  */
133,  127,  209,   0xc6b8,   /*  Ƹ  */
134,  125,  212,   0xc8f3,   /*    */
134,  125,  216,   0xc8f4,   /*    */
134,  125,  217,   0xc8f5,   /*    */
134,  125,  220,   0xc8f6,   /*    */
134,  127,  209,   0xc8f2,   /*    */
135,  125,  208,   0xb1ce,   /*    */
135,  125,  212,   0xb1d0,   /*    */
135,  125,  216,   0xb1d1,   /*    */
135,  125,  217,   0xb1d2,   /*    */
135,  127,  209,   0xb1cf,   /*    */
135,  127,  218,   0xb1d3,   /*    */
135,  138,  208,   0xb1c6,   /*    */
135,  138,  212,   0xb1c8,   /*    */
135,  138,  219,   0xb1c9,   /*    */
135,  138,  220,   0xb1ca,   /*    */
135,  139,  209,   0xb1c7,   /*    */
136,  125,  212,   0xb2f0,   /*    */
136,  125,  216,   0xb2f1,   /*    */
136,  125,  217,   0xb2f2,   /*    */
136,  127,  209,   0xb2ef,   /*    */
136,  138,  212,   0xb2e4,   /*    */
136,  138,  219,   0xb2e5,   /*    */
136,  138,  220,   0xb2e6,   /*    */
137,  125,  212,   0xb4b7,   /*    */
137,  125,  216,   0xb4b8,   /*    */
137,  125,  217,   0xb4b9,   /*    */
137,  127,  209,   0xb4b6,   /*    */
137,  138,  219,   0xb4b3,   /*    */
140,  125,  212,   0xb5dc,   /*    */
140,  125,  217,   0xb5dd,   /*    */
140,  125,  220,   0xb5df,   /*    */
140,  127,  209,   0xb5db,   /*    */
140,  127,  218,   0xb5de,   /*    */
140,  150,  219,   0xb5d7,   /*    */
141,  125,  212,   0xb6db,   /*    */
141,  125,  216,   0xb6dc,   /*    */
141,  125,  217,   0xb6dd,   /*    */
141,  125,  220,   0xb6de,   /*    */
141,  127,  209,   0xb6da,   /*    */
142,  125,  212,   0xb9c1,   /*    */
142,  127,  209,   0xb9c0,   /*    */
142,  150,  212,   0xb9bb,   /*    */
142,  150,  217,   0xb9bc,   /*    */
142,  151,  209,   0xb9ba,   /*    */
142,  151,  218,   0xb9bd,   /*    */
143,  125,  208,   0xbae0,   /*    */
143,  125,  212,   0xbae2,   /*    */
143,  125,  220,   0xbae3,   /*    */
143,  127,  209,   0xbae1,   /*    */
143,  150,  212,   0xbadc,   /*    */
143,  150,  219,   0xbadd,   /*    */
144,  125,  208,   0xbdad,   /*    */
144,  125,  212,   0xbdaf,   /*    */
144,  125,  216,   0xbdb0,   /*    */
144,  125,  217,   0xbdb1,   /*    */
144,  125,  220,   0xbdb3,   /*    */
144,  127,  209,   0xbdae,   /*    */
144,  127,  218,   0xbdb2,   /*    */
144,  150,  219,   0xbda5,   /*    */
145,  127,  209,   0xbeb0,   /*    */
145,  150,  219,   0xbead,   /*    */
146,  125,  208,   0xc0a8,   /*    */
146,  125,  212,   0xc0aa,   /*    */
146,  125,  216,   0xc0ab,   /*    */
146,  125,  217,   0xc0ac,   /*    */
146,  125,  220,   0xc0ae,   /*    */
146,  127,  209,   0xc0a9,   /*    */
146,  127,  218,   0xc0ad,   /*    */
146,  150,  208,   0xbff7,   /*    */
146,  150,  212,   0xbff9,   /*    */
146,  150,  216,   0xbffa,   /*    */
146,  150,  217,   0xbffb,   /*    */
146,  150,  219,   0xbffc,   /*    */
146,  150,  220,   0xbffd,   /*    */
146,  151,  209,   0xbff8,   /*    */
147,  125,  208,   0xc1e4,   /*    */
147,  125,  212,   0xc1e6,   /*    */
147,  125,  216,   0xc1e7,   /*    */
147,  125,  217,   0xc1e8,   /*    */
147,  125,  218,   0xc1e9,   /*    */
147,  127,  209,   0xc1e5,   /*    */
147,  150,  219,   0xc1e1,   /*    */
148,  150,  219,   0xc2e6,   /*    */
148,  150,  220,   0xc2e7,   /*    */
149,  125,  208,   0xc4fc,   /*    */
149,  125,  212,   0xc4fe,   /*    */
149,  125,  216,   0xc5a1,   /*  š  */
149,  125,  217,   0xc5a2,   /*  Ţ  */
149,  125,  220,   0xc5a4,   /*  Ť  */
149,  127,  209,   0xc4fd,   /*    */
149,  127,  218,   0xc5a3,   /*  ţ  */
149,  150,  212,   0xc4f7,   /*    */
149,  150,  220,   0xc4f8,   /*    */
149,  151,  209,   0xc4f6,   /*    */
152,  125,  208,   0xb7f3,   /*    */
152,  125,  212,   0xb7f5,   /*    */
152,  125,  216,   0xb7f6,   /*    */
152,  125,  220,   0xb7f8,   /*    */
152,  127,  209,   0xb7f4,   /*    */
152,  127,  218,   0xb7f7,   /*    */
152,  157,  219,   0xb7f0,   /*    */
153,  125,  212,   0xc3ed,   /*    */
153,  125,  216,   0xc3ee,   /*    */
153,  125,  217,   0xc3ef,   /*    */
153,  125,  220,   0xc3f1,   /*    */
153,  127,  209,   0xc3ec,   /*    */
153,  127,  218,   0xc3f0,   /*    */
153,  157,  219,   0xc3e8,   /*    */
154,  125,  208,   0xc6a3,   /*  ƣ  */
154,  125,  212,   0xc6a5,   /*  ƥ  */
154,  125,  216,   0xc6a6,   /*  Ʀ  */
154,  125,  217,   0xc6a7,   /*  Ƨ  */
154,  125,  220,   0xc6a8,   /*  ƨ  */
154,  127,  209,   0xc6a4,   /*  Ƥ  */
154,  157,  219,   0xc5fe,   /*    */
155,  125,  212,   0xc7b8,   /*  Ǹ  */
155,  125,  216,   0xc7b9,   /*  ǹ  */
155,  127,  209,   0xc7b7,   /*  Ƿ  */
155,  127,  218,   0xc7ba,   /*  Ǻ  */
155,  157,  220,   0xc7b5,   /*  ǵ  */
156,  125,  208,   0xc8d7,   /*    */
156,  125,  212,   0xc8d9,   /*    */
156,  125,  216,   0xc8da,   /*    */
156,  125,  217,   0xc8db,   /*    */
156,  125,  220,   0xc8dd,   /*    */
156,  127,  209,   0xc8d8,   /*    */
156,  127,  218,   0xc8dc,   /*    */
156,  157,  212,   0xc8ce,   /*    */
156,  157,  216,   0xc8cf,   /*    */
156,  157,  220,   0xc8d0,   /*    */
156,  158,  209,   0xc8cd,   /*    */
159,  165,  212,   0xb1a7,   /*    */
159,  165,  217,   0xb1a8,   /*    */
159,  165,  219,   0xb1a9,   /*    */
159,  165,  220,   0xb1aa,   /*    */
159,  166,  209,   0xb1a6,   /*    */
160,  165,  208,   0xb2d0,   /*    */
160,  165,  220,   0xb2d1,   /*    */
161,  165,  212,   0xbce4,   /*    */
161,  165,  216,   0xbce5,   /*    */
161,  165,  219,   0xbce7,   /*    */
161,  166,  209,   0xbce3,   /*    */
161,  166,  218,   0xbce6,   /*    */
162,  165,  208,   0xbfd7,   /*    */
162,  165,  216,   0xbfd9,   /*    */
162,  165,  220,   0xbfdb,   /*    */
162,  166,  209,   0xbfd8,   /*    */
162,  166,  218,   0xbfda,   /*    */
163,  165,  219,   0xc1c9,   /*    */
163,  165,  220,   0xc1ca,   /*    */
164,  165,  208,   0xc8b4,   /*  ȴ  */
164,  165,  220,   0xc8b7,   /*  ȷ  */
164,  166,  209,   0xc8b5,   /*  ȵ  */
164,  166,  218,   0xc8b6,   /*  ȶ  */
167,    0,    0,   0xb5c6,   /*    */
168,    0,    0,   0xb7d9,   /*    */
169,    0,    0,   0xbac5,   /*    */
170,    0,    0,   0xbdfc,   /*    */
171,    0,    0,   0xc2d7,   /*    */
172,    0,    0,   0xc4e9,   /*    */
173,  176,  208,   0xb2e8,   /*    */
173,  176,  212,   0xb2ea,   /*    */
173,  176,  216,   0xb2eb,   /*    */
173,  176,  217,   0xb2ec,   /*    */
173,  176,  219,   0xb2ed,   /*    */
173,  177,  209,   0xb2e9,   /*    */
174,  176,  208,   0xbda7,   /*    */
174,  176,  212,   0xbda9,   /*    */
174,  176,  216,   0xbdaa,   /*    */
174,  176,  220,   0xbdab,   /*    */
174,  177,  209,   0xbda8,   /*    */
175,  176,  208,   0xc0a1,   /*    */
175,  176,  212,   0xc0a3,   /*    */
175,  176,  216,   0xc0a4,   /*    */
175,  176,  217,   0xc0a5,   /*    */
175,  176,  220,   0xc0a6,   /*    */
175,  177,  209,   0xc0a2,   /*    */
178,  208,    0,   0xc8d2,   /*    */
178,  212,    0,   0xc8d4,   /*    */
178,  220,    0,   0xc8d5,   /*    */
179,    0,    0,   0xc8d3,   /*    */
180,    0,    0,   0xb1cc,   /*    */
181,    0,    0,   0xb5d9,   /*    */
182,    0,    0,   0xc3ea,   /*    */
183,    0,    0,   0xc4fa,   /*    */
222,    0,    0,   0xbea5,   /*    */
223,    0,    0,   0xb1a5,   /*    */
224,    0,    0,   0xb2cf,   /*    */
225,    0,    0,   0xb5c5,   /*    */
226,    0,    0,   0xb6ce,   /*    */
227,    0,    0,   0xbac4,   /*    */
228,    0,    0,   0xbce2,   /*    */
229,    0,    0,   0xbdfb,   /*    */
230,    0,    0,   0xbfd6,   /*    */
231,    0,    0,   0xc1c8,   /*    */
232,    0,    0,   0xc2d6,   /*    */
233,    0,    0,   0xc4e8,   /*    */
234,    0,    0,   0xc5ef,   /*    */
235,    0,    0,   0xc8b3,   /*  ȳ  */
236,    0,    0,   0xb1cb,   /*    */
237,    0,    0,   0xb2e7,   /*    */
238,    0,    0,   0xb4b4,   /*    */
239,    0,    0,   0xb5d8,   /*    */
240,    0,    0,   0xb6d8,   /*    */
241,    0,    0,   0xb7f1,   /*    */
242,    0,    0,   0xb9be,   /*    */
243,    0,    0,   0xbade,   /*    */
244,    0,    0,   0xbda6,   /*    */
245,    0,    0,   0xbeae,   /*    */
246,    0,    0,   0xbffe,   /*    */
247,    0,    0,   0xc1e2,   /*    */
248,    0,    0,   0xc3e9,   /*    */
249,    0,    0,   0xc4f9,   /*    */
250,    0,    0,   0xc6a1,   /*  ơ  */
251,    0,    0,   0xc8d1,   /*    */
252,    0,    0,   0xc0bc,   /*    */
253,    0,    0,   0xc8e8,   /*    */
254,    0,    0,   0xc8e9,   /*    */
255,    0,    0,   0xc8eb    /*    */
};

/*
 * e2ks(hc, val, time, &code) : htex(ks2tex) ȯ Լ
 * 
 * 
 * hc  : ڵ(A-> 1, B-> 2)
 * val :  ڼڵ ( \hCxxx -> xxx)
 * time : ° ڼ ?
 * code : return ϴ ѱ ϼ ڵ
 * 
 * Լ return: 0 ѱ  Ϸ
 *		  -1  
 * 	          Ÿ(1)   
 */
e2ks(hc,val,time,code)
int hc;
int val;
int time;
int *code;
{
	static int c,c1,c2,c3;
	static int i,j,k,low,high;

	switch(time){
	case 2:
		goto third;
	case 3:
		goto forth;
	}
 first:
	if(hc==1){ 
		low = 0; high=899;
	}
	else{
		low = 900; high = 2349;
	}
 second:
	c1=val;
	i=low;
	while(i<=high){
		if(htbl[i][0]<c1)
			i++;
		else{ /* htbl[i][0]==c1 */
			if(htbl[i][0]==c1){
				if(htbl[i][1]==0){
					*code = htbl[i][3];
					return(0);
				}
			}
			else	{
				return(-1);
			}
			j=i;
			return(1);
		third:
			c2=val;
			while(htbl[j][0]==c1){
				if(htbl[j][1]>=c2){
					if(htbl[j][1]==c2){
						if(htbl[j][2]==0){
							*code = htbl[j][3];
							return(0);
						}
					}
					else    {
						return(-1);
					}
					k=j;
					return(1);
				forth: 
					c3=val;
					while(htbl[k][1]==c2){
						if(htbl[k][2]>=c3){
							if(htbl[k][2]==c3){
								*code=htbl[k][3];
								return(0);
							}
							else{
								return(-1);
							}
						}
						k++;
					}
					return(-1);
				}
				j++;
			}
			return(-1);
		}
	}
	return(-1);
}


#ifdef DDEBUG
main()
{
	int i,j;
	int val,code,r;

	for(i=0;i<2350;i++){
		for(j=1;j<5;j++){
			Getin(&val);
			r=e2ks(1,val,j,&code);
			if(r==-1){
				Output(-1);
				break;
			}
			else if(r==0){
				Output(code);
				break;
			}
		}
	}
}

Getin(c)
int *c;
{
	scanf("%d",c);
}

Output(c)
int c;
{
	if(c!=-1) printf("%c%c\n",(c&0xffff)>>8,c&0xff);
	else printf("error\n");
}
#endif
